import { componentQrl, inlinedQrl, _restProps, _jsxS, _jsxQ, _jsxC, Slot, _IMMUTABLE, _fnSignal, useLexicalScope, _jsxBranch, useId, useSignal } from '@builder.io/qwik';
import { Fragment } from '@builder.io/qwik/jsx-runtime';

const SfAccordionItem = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = _restProps(props, [
    "ref",
    "open",
    "onToggle$",
    "summaryClass"
  ]);
  const handleClick = /* @__PURE__ */ inlinedQrl(() => {
    const [props2] = useLexicalScope();
    props2.onToggle$?.(!props2.open);
  }, "SfAccordionItem_component_handleClick_NScvHQ0SHIQ", [
    props
  ]);
  return /* @__PURE__ */ _jsxS("details", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    ...attributes,
    children: [
      /* @__PURE__ */ _jsxQ("summary", {
        class: [
          props.summaryClass,
          "list-none [&::-webkit-details-marker]:hidden cursor-pointer focus-visible:outline focus-visible:outline-offset focus-visible:outline focus-visible:rounded-sm"
        ]
      }, {
        onClick$: handleClick,
        "preventdefault:click": true
      }, /* @__PURE__ */ _jsxC(Slot, null, 3, "XL_0"), 1, null),
      /* @__PURE__ */ _jsxC(Slot, {
        name: "detail",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "XL_1")
    ]
  }, {
    "data-testid": "accordion-item",
    open: _fnSignal((p0) => p0.open, [
      props
    ], "p0.open")
  }, 0, "XL_2");
}, "SfAccordionItem_component_RWoYAiHZ2eE"));

let SfBadgeVariant;
(function(SfBadgeVariant2) {
  SfBadgeVariant2["standard"] = "standard";
  SfBadgeVariant2["dot"] = "dot";
})(SfBadgeVariant || (SfBadgeVariant = {}));
let SfBadgePlacement;
(function(SfBadgePlacement2) {
  SfBadgePlacement2["top-right"] = "top-right";
  SfBadgePlacement2["top-left"] = "top-left";
  SfBadgePlacement2["bottom-right"] = "bottom-right";
  SfBadgePlacement2["bottom-left"] = "bottom-left";
})(SfBadgePlacement || (SfBadgePlacement = {}));

const SfBadge = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ content, variant, max = 99, class: className, placement = SfBadgePlacement["top-right"], ...attributes }) => {
  const isDot = variant === "dot";
  let displayValue = content;
  if (isDot)
    displayValue = "";
  else if (!Number.isNaN(content) && Number(content) > max)
    displayValue = `${max}+`;
  return /* @__PURE__ */ _jsxS("span", {
    class: [
      "block absolute py-0.5 px-1 bg-secondary-700 font-medium text-white text-[8px] leading-[8px] rounded-xl",
      {
        "min-w-[12px] min-h-[12px]": !isDot,
        "w-[10px] h-[10px]": isDot,
        "top-0 right-0 -translate-x-0.5 translate-y-0.5": placement === "top-right",
        "top-0 left-0 translate-x-0.5 translate-y-0.5": placement === "top-left",
        "bottom-0 right-0 -translate-x-0.5 -translate-y-0.5": placement === "bottom-right",
        "bottom-0 left-0 translate-x-0.5 -translate-y-0.5": placement === "bottom-left"
      },
      className
    ],
    ...attributes,
    children: displayValue
  }, {
    "data-testid": "badge"
  }, 0, "Nd_0");
}, "SfBadge_component_T00blxxOsUQ"));

let SfButtonSize;
(function(SfButtonSize2) {
  SfButtonSize2["sm"] = "sm";
  SfButtonSize2["base"] = "base";
  SfButtonSize2["lg"] = "lg";
})(SfButtonSize || (SfButtonSize = {}));
let SfButtonVariant;
(function(SfButtonVariant2) {
  SfButtonVariant2["primary"] = "primary";
  SfButtonVariant2["secondary"] = "secondary";
  SfButtonVariant2["tertiary"] = "tertiary";
})(SfButtonVariant || (SfButtonVariant = {}));

const defaultButtonTag = "button";
const variantClasses = {
  [SfButtonVariant.primary]: "text-white shadow hover:shadow-md active:shadow bg-primary-700 hover:bg-primary-800 active:bg-primary-900 disabled:bg-disabled-300",
  [SfButtonVariant.secondary]: "text-primary-700 hover:bg-primary-100 hover:text-primary-800 active:bg-primary-200 active:text-primary-900 ring-1 ring-primary-700 hover:shadow-md active:shadow shadow hover:ring-primary-800 active:ring-primary-900 disabled:ring-1 disabled:ring-disabled-300 disabled:bg-white/50",
  [SfButtonVariant.tertiary]: "text-primary-700 hover:bg-primary-100 hover:text-primary-800 active:bg-primary-200 active:text-primary-900 disabled:bg-transparent"
};
const getSizeClasses$1 = (size, square) => {
  switch (size) {
    case SfButtonSize.sm:
      return [
        square ? "p-1.5" : "leading-5 text-sm py-1.5 px-3",
        "gap-1.5"
      ];
    case SfButtonSize.lg:
      return [
        square ? "p-4" : "py-3 leading-6 px-6",
        "gap-3"
      ];
    default:
      return [
        square ? "p-2" : "py-2 leading-6 px-4",
        "gap-2"
      ];
  }
};
const SfButton = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ as, ref, class: className, size = SfButtonSize.base, slotPrefix, slotSuffix, variant = SfButtonVariant.primary, square, ...attributes }) => {
  _jsxBranch();
  const Tag = as || defaultButtonTag;
  return /* @__PURE__ */ _jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: [
      "inline-flex items-center justify-center font-medium text-base focus-visible:outline focus-visible:outline-offset rounded-md disabled:text-disabled-500 disabled:bg-disabled-300 disabled:shadow-none disabled:ring-0 disabled:cursor-not-allowed",
      getSizeClasses$1(size, square),
      variantClasses[variant],
      className
    ],
    "data-testid": "button",
    type: typeof Tag === "string" && Tag.toLowerCase() === "button" ? "button" : void 0,
    ...attributes,
    children: [
      slotPrefix && /* @__PURE__ */ _jsxC(Slot, {
        name: "prefix",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "6X_0"),
      /* @__PURE__ */ _jsxC(Slot, null, 3, "6X_1"),
      slotSuffix && /* @__PURE__ */ _jsxC(Slot, {
        name: "suffix",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "6X_2")
    ],
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "6X_3");
}, "SfButton_component_IF0jAYBVUqI"));

const SfCheckbox = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = _restProps(props, [
    "invalid",
    "class",
    "ref",
    "onChange$"
  ]);
  return /* @__PURE__ */ _jsxS("input", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    class: {
      "h-[18px] min-w-[18px] border-2 rounded-sm appearance-none cursor-pointer text-gray-500 enabled:hover:border-primary-800 enabled:active:border-primary-900 enabled:hover:checked:text-primary-800 enabled:hover:indeterminate:text-primary-800 enabled:active:checked:text-primary-900 enabled:checked:text-primary-700 checked:bg-checked-checkbox-current border-current indeterminate:bg-indeterminate-checkbox-current enabled:indeterminate:text-primary-700 disabled:text-gray-300 hover:text-gray-300 disabled:cursor-not-allowed enabled:focus-visible:outline enabled:focus-visible:outline-offset": true,
      "border-negative-700 enabled:hover:border-negative-800 enabled:active:border-negative-900": props.invalid,
      _class: true
    },
    ...attributes,
    onChange$: props.onChange$
  }, {
    "data-testid": "checkbox",
    type: "checkbox"
  }, 0, "Ql_0");
}, "SfCheckbox_component_ZHW09N3eBcs"));

let SfChipSize;
(function(SfChipSize2) {
  SfChipSize2["sm"] = "sm";
  SfChipSize2["base"] = "base";
})(SfChipSize || (SfChipSize = {}));

const SfChip = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfChipSize.base, class: _class, slotPrefix, slotSuffix, inputProps, square = false, ref, ...attributes }) => {
  _jsxBranch();
  const chipId = useId();
  const paddingForSize = (size2, square2, slotPrefix2, slotSuffix2) => {
    switch (size2) {
      case SfChipSize.sm:
        return square2 ? "px-1.5" : [
          slotPrefix2 ? "pl-1.5" : "pl-3",
          slotSuffix2 ? "pr-1.5" : "pr-3"
        ];
      default:
        return square2 ? "px-2" : [
          slotPrefix2 ? "pl-2" : "pl-4",
          slotSuffix2 ? "pr-2" : "pr-4"
        ];
    }
  };
  const getSizeClasses = (size2) => {
    switch (size2) {
      case SfChipSize.sm:
        return `text-sm py-1.5 gap-1.5`;
      default:
        return "text-base py-2 gap-2";
    }
  };
  const getCheckedClasses = (checked) => {
    return checked ? "ring-2 ring-primary-700 hover:ring-primary-700" : " hover:ring-primary-200 ring-neutral-200";
  };
  const getDisabledClasses = (disabled) => {
    return disabled ? "cursor-not-allowed bg-disabled-100 opacity-50 ring-1 ring-disabled-200 hover:ring-disabled-200" : "hover:bg-primary-100 cursor-pointer";
  };
  return /* @__PURE__ */ _jsxC(Fragment, {
    children: [
      /* @__PURE__ */ _jsxS("input", {
        ...ref ? {
          ref
        } : {},
        ...inputProps
      }, {
        class: "hidden",
        id: chipId,
        type: "checkbox"
      }, 0, null),
      /* @__PURE__ */ _jsxS("label", {
        class: [
          "ring-1 ring-inset rounded-full inline-flex items-center transition duration-200 justify-center outline-offset-2 outline-secondary-600  focus-visible:outline",
          getCheckedClasses(inputProps?.checked),
          getDisabledClasses(inputProps?.disabled),
          getSizeClasses(size),
          paddingForSize(size, square, !!slotPrefix, !!slotSuffix),
          _class
        ],
        ...attributes,
        children: [
          slotPrefix && /* @__PURE__ */ _jsxC(Slot, {
            name: "prefix",
            [_IMMUTABLE]: {
              name: _IMMUTABLE
            }
          }, 3, "Ue_0"),
          /* @__PURE__ */ _jsxC(Slot, null, 3, "Ue_1"),
          slotSuffix && /* @__PURE__ */ _jsxC(Slot, {
            name: "suffix",
            [_IMMUTABLE]: {
              name: _IMMUTABLE
            }
          }, 3, "Ue_2")
        ]
      }, {
        "data-testid": "chip",
        for: chipId
      }, 0, null)
    ]
  }, 1, "Ue_3");
}, "SfChip_component_N0FNqphf6pM"));

let SfCounterSize;
(function(SfCounterSize2) {
  SfCounterSize2["3xs"] = "3xs";
  SfCounterSize2["2xs"] = "2xs";
  SfCounterSize2["xs"] = "xs";
  SfCounterSize2["sm"] = "sm";
  SfCounterSize2["base"] = "base";
  SfCounterSize2["lg"] = "lg";
})(SfCounterSize || (SfCounterSize = {}));

const SfCounter = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfCounterSize.base, pill = false, class: _class, ...attributes }) => {
  const sizeClasses = {
    [SfCounterSize["3xs"]]: `text-3xs ${pill ? "px-1" : ""}`,
    [SfCounterSize["2xs"]]: `text-2xs ${pill ? "px-1.5" : ""}`,
    [SfCounterSize.xs]: `text-xs ${pill ? "px-2" : ""}`,
    [SfCounterSize.sm]: `text-sm ${pill ? "px-2.5" : ""}`,
    [SfCounterSize.base]: `text-base ${pill ? "px-3" : ""}`,
    [SfCounterSize.lg]: `text-lg ${pill ? "px-3.5" : ""}`
  };
  const classes = [
    "inline-flex items-center before:content-['('] after:content-[')'] text-neutral-500",
    sizeClasses[size],
    pill ? "rounded-full py-0.5 font-medium ring-1 ring-neutral-200 ring-inset before:content-none after:content-none" : "",
    _class
  ];
  return /* @__PURE__ */ _jsxS("span", {
    class: classes,
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "NS_0")
  }, {
    "data-testid": "counter"
  }, 0, "NS_1");
}, "SfCounter_component_FBSLKLNwRvM"));

let SfDrawerPlacement;
(function(SfDrawerPlacement2) {
  SfDrawerPlacement2["top"] = "top";
  SfDrawerPlacement2["bottom"] = "bottom";
  SfDrawerPlacement2["left"] = "left";
  SfDrawerPlacement2["right"] = "right";
})(SfDrawerPlacement || (SfDrawerPlacement = {}));

const defaultDrawerTag = "aside";
const placementClasses = (placementValue) => `
  ${placementValue !== SfDrawerPlacement.right ? "left-0" : ""}
  ${placementValue !== SfDrawerPlacement.left ? "right-0" : ""}
  ${placementValue !== SfDrawerPlacement.bottom ? "top-0" : ""}
  ${placementValue !== SfDrawerPlacement.top ? "bottom-0" : ""}
`;
const SfDrawer = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ as, ref, open, placement = SfDrawerPlacement.left, disableClickAway, disableEsc, onClose$, class: _class, ...attributes }) => {
  _jsxBranch();
  const Tag = as || defaultDrawerTag;
  const drawerRef = useSignal();
  const onKeyDown = /* @__PURE__ */ inlinedQrl((event) => {
    const [disableEsc2, onClose$2] = useLexicalScope();
    if (disableEsc2)
      return;
    if (event.key === "Escape")
      onClose$2?.();
  }, "SfDrawer_component_onKeyDown_WjxbaR9ZlPg", [
    disableEsc,
    onClose$
  ]);
  return open ? /* @__PURE__ */ _jsxC(Tag, {
    class: `fixed ${placementClasses(placement)} ${_class}`,
    "data-testid": "drawer",
    ref: ref ? ref : drawerRef,
    tabIndex: "-1",
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "hR_0"),
    onKeyDown$: onKeyDown,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE,
      onKeyDown$: _IMMUTABLE,
      tabIndex: _IMMUTABLE
    }
  }, 0, "hR_1") : null;
}, "SfDrawer_component_xuu01tzp11c"));

const SfDropdown = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  _jsxBranch();
  _restProps(props, [
    "ref",
    "isOpen",
    "class",
    "style"
  ]);
  return /* @__PURE__ */ _jsxS("div", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    children: [
      /* @__PURE__ */ _jsxC(Slot, {
        name: "trigger",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "1X_0"),
      (props.open ?? false) && /* @__PURE__ */ _jsxS("div", {
        ...props.ref ? {
          ref: props.ref
        } : {},
        children: /* @__PURE__ */ _jsxC(Slot, null, 3, "1X_1")
      }, {
        "aria-hidden": _fnSignal((p0) => !(p0.open ?? false), [
          props
        ], "!(p0.open??false)"),
        "data-testid": "dropdown-content",
        style: ""
      }, 0, "1X_2")
    ]
  }, {
    class: _fnSignal((p0) => [
      "w-max",
      p0.class
    ], [
      props
    ], '["w-max",p0.class]'),
    "data-testid": "dropdown",
    style: _fnSignal((p0) => p0.style, [
      props
    ], "p0.style")
  }, 0, "1X_3");
}, "SfDropdown_component_IcYNH00OLpg"));

let SfIconSize;
(function(SfIconSize2) {
  SfIconSize2["xs"] = "xs";
  SfIconSize2["sm"] = "sm";
  SfIconSize2["base"] = "base";
  SfIconSize2["lg"] = "lg";
  SfIconSize2["xl"] = "xl";
  SfIconSize2["2xl"] = "2xl";
  SfIconSize2["3xl"] = "3xl";
  SfIconSize2["4xl"] = "4xl";
})(SfIconSize || (SfIconSize = {}));

const getSizeClasses = (size) => {
  switch (size) {
    case SfIconSize.xs:
      return "w-4 h-4";
    case SfIconSize.sm:
      return "w-5 h-5";
    case SfIconSize.lg:
      return "w-8 h-8";
    case SfIconSize.xl:
      return "w-10 h-10";
    case SfIconSize["2xl"]:
      return "w-14 h-14";
    case SfIconSize["3xl"]:
      return "w-24 h-24";
    case SfIconSize["4xl"]:
      return "w-48 h-48";
    default:
      return "w-6 h-6";
  }
};
const SfIconBase = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, class: _class, ...attributes }) => {
  const uniqueId = useId();
  return /* @__PURE__ */ _jsxS("svg", {
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "MC_0"),
    class: `inline-block fill-current ${getSizeClasses(size)} ${_class}`
  }, {
    xmlns: "http://www.w3.org/2000/svg"
  }, 0, uniqueId);
}, "SfIconBase_component_Cnj0wQPKY2I"));

const SfIconAdd = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 19a.965.965 0 0 1-.712-.288A.965.965 0 0 1 11 18v-5H6a.968.968 0 0 1-.713-.288A.967.967 0 0 1 5 12a.97.97 0 0 1 .287-.713A.97.97 0 0 1 6 11h5V6c0-.283.096-.521.288-.713A.967.967 0 0 1 12 5a.97.97 0 0 1 .713.287A.97.97 0 0 1 13 6v5h5a.97.97 0 0 1 .712.287c.192.192.288.43.288.713s-.096.52-.288.712A.965.965 0 0 1 18 13h-5v5a.97.97 0 0 1-.287.712A.968.968 0 0 1 12 19Z"
    }, null, 3, null),
    "data-testid": "add",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "34_0");
}, "SfIconAdd_component_cgNZfSXMwvo"));

const SfIconAddShoppingCart = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 9a.968.968 0 0 1-.713-.287A.967.967 0 0 1 11 8V6H9a.968.968 0 0 1-.713-.287A.968.968 0 0 1 8 5c0-.283.096-.52.287-.713A.968.968 0 0 1 9 4h2V2a.97.97 0 0 1 .287-.712A.968.968 0 0 1 12 1a.97.97 0 0 1 .713.288A.968.968 0 0 1 13 2v2h2c.283 0 .52.096.713.287.191.192.287.43.287.713s-.096.52-.287.713A.968.968 0 0 1 15 6h-2v2c0 .283-.096.52-.287.713A.968.968 0 0 1 12 9ZM7 22c-.55 0-1.02-.196-1.412-.587A1.926 1.926 0 0 1 5 20c0-.55.196-1.02.588-1.413A1.926 1.926 0 0 1 7 18c.55 0 1.02.196 1.412.587C8.804 18.98 9 19.45 9 20s-.196 1.02-.588 1.413A1.926 1.926 0 0 1 7 22Zm10 0c-.55 0-1.02-.196-1.412-.587A1.926 1.926 0 0 1 15 20c0-.55.196-1.02.588-1.413A1.926 1.926 0 0 1 17 18c.55 0 1.02.196 1.413.587.391.392.587.863.587 1.413s-.196 1.02-.587 1.413A1.926 1.926 0 0 1 17 22ZM7 17c-.767 0-1.346-.33-1.737-.988-.392-.658-.396-1.312-.013-1.962L6.6 11.6 3 4H2a.968.968 0 0 1-.712-.288A.968.968 0 0 1 1 3c0-.283.096-.52.288-.712A.968.968 0 0 1 2 2h1.65c.183 0 .358.05.525.15a.93.93 0 0 1 .375.425L8.525 11h7.025l3.6-6.5A.973.973 0 0 1 20 4a.94.94 0 0 1 .863.487.937.937 0 0 1 .012.988L17.3 11.95c-.183.333-.43.592-.738.775A1.945 1.945 0 0 1 15.55 13H8.1L7 15h11a.97.97 0 0 1 .712.287c.192.192.288.43.288.713s-.096.52-.288.712A.968.968 0 0 1 18 17H7Z"
    }, null, 3, null),
    "data-testid": "add-shopping-cart",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "09_0");
}, "SfIconAddShoppingCart_component_TuFeKVCm6kY"));

const SfIconArrowBack = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m10.875 19.3-6.6-6.6a.883.883 0 0 1-.213-.325A1.115 1.115 0 0 1 4 12c0-.133.02-.258.062-.375a.883.883 0 0 1 .213-.325l6.6-6.6a.978.978 0 0 1 .687-.288.933.933 0 0 1 .713.288c.2.183.304.412.313.687a.933.933 0 0 1-.288.713L7.4 11h11.175a.97.97 0 0 1 .713.287.97.97 0 0 1 .287.713.97.97 0 0 1-.287.712.968.968 0 0 1-.713.288H7.4l4.9 4.9c.183.183.28.417.288.7a.872.872 0 0 1-.288.7c-.183.2-.417.3-.7.3a.988.988 0 0 1-.725-.3Z"
    }, null, 3, null),
    "data-testid": "arrow-back",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "VG_0");
}, "SfIconArrowBack_component_cVmoYfkHZos"));

const SfIconArrowDownward = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 19.575a1.1 1.1 0 0 1-.375-.063.872.872 0 0 1-.325-.212l-6.6-6.6c-.2-.2-.3-.438-.3-.713 0-.275.1-.512.3-.712.2-.2.433-.3.7-.3.267 0 .5.1.7.3l4.9 4.9v-11.2c0-.283.096-.517.288-.7A.99.99 0 0 1 12 4a.97.97 0 0 1 .713.287A.97.97 0 0 1 13 5v11.175l4.9-4.9c.2-.2.433-.3.7-.3.267 0 .5.1.7.3.2.2.3.437.3.712 0 .275-.1.513-.3.713l-6.6 6.6c-.1.1-.208.17-.325.212a1.098 1.098 0 0 1-.375.063Z"
    }, null, 3, null),
    "data-testid": "arrow-downward",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "pc_0");
}, "SfIconArrowDownward_component_CCQKkIMvc7Q"));

const SfIconArrowForward = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M11.3 19.3a.994.994 0 0 1-.288-.7.91.91 0 0 1 .263-.7l4.9-4.9H5a.968.968 0 0 1-.713-.288A.967.967 0 0 1 4 12a.97.97 0 0 1 .287-.713A.97.97 0 0 1 5 11h11.175l-4.9-4.9a.91.91 0 0 1-.263-.7.994.994 0 0 1 .288-.7.948.948 0 0 1 .7-.275.95.95 0 0 1 .7.275l6.6 6.6c.1.083.171.187.213.312.041.125.062.255.062.388s-.02.258-.062.375a.883.883 0 0 1-.213.325l-6.6 6.6a.948.948 0 0 1-.7.275.948.948 0 0 1-.7-.275Z"
    }, null, 3, null),
    "data-testid": "arrow-forward",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "fa_0");
}, "SfIconArrowForward_component_BvJxgkT2QBU"));

const SfIconArrowUpward = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 20a.965.965 0 0 1-.712-.288A.965.965 0 0 1 11 19V7.825L6.125 12.7c-.2.2-.438.3-.713.3a.973.973 0 0 1-.712-.3.96.96 0 0 1-.3-.7c0-.267.1-.5.3-.7l6.6-6.6a.88.88 0 0 1 .325-.213 1.212 1.212 0 0 1 .763 0 .681.681 0 0 1 .312.213l6.6 6.6c.2.2.3.433.3.7 0 .267-.1.5-.3.7-.2.2-.438.3-.713.3a.973.973 0 0 1-.712-.3L13 7.825V19a.97.97 0 0 1-.287.712A.968.968 0 0 1 12 20Z"
    }, null, 3, null),
    "data-testid": "arrow-upward",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "ho_0");
}, "SfIconArrowUpward_component_vpnaGh0pxtE"));

const SfIconBlock = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 22a9.733 9.733 0 0 1-3.9-.788 10.092 10.092 0 0 1-3.175-2.137c-.9-.9-1.612-1.958-2.137-3.175A9.733 9.733 0 0 1 2 12a9.74 9.74 0 0 1 .788-3.9 10.092 10.092 0 0 1 2.137-3.175c.9-.9 1.958-1.613 3.175-2.138A9.743 9.743 0 0 1 12 2a9.74 9.74 0 0 1 3.9.787 10.105 10.105 0 0 1 3.175 2.138c.9.9 1.612 1.958 2.137 3.175A9.733 9.733 0 0 1 22 12a9.733 9.733 0 0 1-.788 3.9 10.092 10.092 0 0 1-2.137 3.175c-.9.9-1.958 1.612-3.175 2.137A9.733 9.733 0 0 1 12 22Zm0-2c2.233 0 4.125-.775 5.675-2.325C19.225 16.125 20 14.233 20 12c0-.9-.146-1.767-.438-2.6A7.94 7.94 0 0 0 18.3 7.1L7.1 18.3c.7.55 1.467.97 2.3 1.262.833.292 1.7.438 2.6.438Zm-6.3-3.1L16.9 5.7a7.96 7.96 0 0 0-2.3-1.262A7.805 7.805 0 0 0 12 4c-2.233 0-4.125.775-5.675 2.325C4.775 7.875 4 9.767 4 12c0 .9.146 1.767.438 2.6.291.833.712 1.6 1.262 2.3Z"
    }, null, 3, null),
    "data-testid": "block",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Nt_0");
}, "SfIconBlock_component_tF3DI620e6M"));

const SfIconCalendarToday = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M5 22a1.93 1.93 0 0 1-1.413-.587A1.928 1.928 0 0 1 3 20V6c0-.55.196-1.02.587-1.412A1.927 1.927 0 0 1 5 4h1V2.975c0-.283.096-.517.287-.7A.993.993 0 0 1 7 2a.97.97 0 0 1 .713.287A.97.97 0 0 1 8 3v1h8V2.975c0-.283.096-.517.288-.7A.99.99 0 0 1 17 2a.97.97 0 0 1 .712.287c.192.192.288.43.288.713v1h1c.55 0 1.021.196 1.413.588.391.391.587.862.587 1.412v14a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 19 22H5Zm0-2h14V10H5v10Z"
    }, null, 3, null),
    "data-testid": "calendar-today",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "j0_0");
}, "SfIconCalendarToday_component_vU1qhExLcNQ"));

const SfIconCall = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M19.95 21c-2.15 0-4.246-.48-6.287-1.438a19.045 19.045 0 0 1-5.425-3.8 19.045 19.045 0 0 1-3.8-5.425C3.479 8.296 3 6.2 3 4.05c0-.3.1-.55.3-.75.2-.2.45-.3.75-.3H8.1a.96.96 0 0 1 .625.225.88.88 0 0 1 .325.575l.65 3.5c.033.233.03.446-.012.637a1.027 1.027 0 0 1-.288.513L6.975 10.9a16.4 16.4 0 0 0 2.638 3.375A18.626 18.626 0 0 0 13.1 17l2.35-2.35a1.4 1.4 0 0 1 .588-.338c.241-.075.479-.095.712-.062l3.45.7c.233.05.425.162.575.337.15.175.225.38.225.613v4.05c0 .3-.1.55-.3.75-.2.2-.45.3-.75.3ZM6.025 9l1.65-1.65L7.25 5H5.025c.083.683.2 1.358.35 2.025.15.667.367 1.325.65 1.975ZM19 18.95v-2.2l-2.35-.475-1.675 1.675c.65.283 1.313.508 1.988.675.675.167 1.354.275 2.037.325Z"
    }, null, 3, null),
    "data-testid": "call",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Dt_0");
}, "SfIconCall_component_HrBGGltyVQE"));

const SfIconCancel = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M2 12C2 6.47 6.47 2 12 2s10 4.47 10 10-4.47 10-10 10S2 17.53 2 12Zm14.295 4.295a.997.997 0 0 0 0-1.41L13.41 12l2.885-2.885a.997.997 0 1 0-1.41-1.41L12 10.59 9.115 7.705a.997.997 0 0 0-1.41 1.41L10.59 12l-2.885 2.885a.997.997 0 0 0 1.41 1.41L12 13.41l2.885 2.885c.39.39 1.02.39 1.41 0Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "cancel",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Yt_0");
}, "SfIconCancel_component_XU5frGujlKM"));

const SfIconCheck = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M4.535 12.705 8 16.17l9.885-9.875a.997.997 0 0 1 1.41 1.41L8.707 18.293a1 1 0 0 1-1.414 0L3.12 14.12a1 1 0 0 1 1.415-1.415Z"
    }, null, 3, null),
    "data-testid": "check",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "x8_0");
}, "SfIconCheck_component_JbqTm5gtKtg"));

const SfIconCheckBox = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M5 21a1.93 1.93 0 0 1-1.413-.587A1.928 1.928 0 0 1 3 19V5c0-.55.196-1.021.587-1.413A1.928 1.928 0 0 1 5 3h14c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v14a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 19 21H5Zm5.6-5.225c.133 0 .258-.02.375-.062a.883.883 0 0 0 .325-.213l5.675-5.675a.918.918 0 0 0 .275-.675c0-.267-.1-.5-.3-.7a.948.948 0 0 0-.7-.275.948.948 0 0 0-.7.275L10.6 13.4l-2.175-2.175a.918.918 0 0 0-.675-.275c-.267 0-.5.1-.7.3a.948.948 0 0 0-.275.7.95.95 0 0 0 .275.7L9.9 15.5c.1.1.208.171.325.213.117.041.242.062.375.062Z"
    }, null, 3, null),
    "data-testid": "check-box",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "5s_0");
}, "SfIconCheckBox_component_qxgqP5pk3SA"));

const SfIconCheckBoxOutlineBlank = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M3 5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5Zm16 .5a.5.5 0 0 0-.5-.5h-13a.5.5 0 0 0-.5.5v13a.5.5 0 0 0 .5.5h13a.5.5 0 0 0 .5-.5v-13Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "check-box-outline-blank",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "pn_0");
}, "SfIconCheckBoxOutlineBlank_component_tXyS5G6hGXU"));

const SfIconCheckCircle = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m10.6 13.8-2.175-2.175a.918.918 0 0 0-.675-.275c-.267 0-.5.1-.7.3a.948.948 0 0 0-.275.7.95.95 0 0 0 .275.7L9.9 15.9a.948.948 0 0 0 .7.275.948.948 0 0 0 .7-.275l5.675-5.675a.918.918 0 0 0 .275-.675c0-.267-.1-.5-.3-.7a.948.948 0 0 0-.7-.275.948.948 0 0 0-.7.275L10.6 13.8ZM12 22a9.733 9.733 0 0 1-3.9-.788 10.092 10.092 0 0 1-3.175-2.137c-.9-.9-1.612-1.958-2.137-3.175A9.733 9.733 0 0 1 2 12a9.74 9.74 0 0 1 .788-3.9 10.092 10.092 0 0 1 2.137-3.175c.9-.9 1.958-1.613 3.175-2.138A9.743 9.743 0 0 1 12 2a9.74 9.74 0 0 1 3.9.787 10.105 10.105 0 0 1 3.175 2.138c.9.9 1.612 1.958 2.137 3.175A9.733 9.733 0 0 1 22 12a9.733 9.733 0 0 1-.788 3.9 10.092 10.092 0 0 1-2.137 3.175c-.9.9-1.958 1.612-3.175 2.137A9.733 9.733 0 0 1 12 22Z"
    }, null, 3, null),
    "data-testid": "check-circle",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "0n_0");
}, "SfIconCheckCircle_component_TQWHKsqsmkw"));

const SfIconChevronLeft = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M14.706 17.297a.998.998 0 0 0 0-1.41l-3.876-3.885 3.877-3.885a.998.998 0 0 0-1.412-1.41l-4.588 4.588a1 1 0 0 0 0 1.414l4.588 4.588a.997.997 0 0 0 1.41 0Z"
    }, null, 3, null),
    "data-testid": "chevron-left",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Zr_0");
}, "SfIconChevronLeft_component_K5bUjHnFsgA"));

const SfIconChevronRight = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M8.705 17.297a.998.998 0 0 1-.001-1.41l3.876-3.885-3.876-3.885a.998.998 0 0 1 1.412-1.41l4.587 4.588a1 1 0 0 1 0 1.414l-4.587 4.588a.997.997 0 0 1-1.411 0Z"
    }, null, 3, null),
    "data-testid": "chevron-right",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "dO_0");
}, "SfIconChevronRight_component_v6uyZTTwnro"));

const SfIconCircle = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M22 12c0 5.523-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2s10 4.477 10 10Z"
    }, null, 3, null),
    "data-testid": "circle",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "W8_0");
}, "SfIconCircle_component_uYoVSHZ57Ko"));

const SfIconClose = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M18.295 5.705a.998.998 0 0 1 0 1.41L13.41 12l4.885 4.885a.997.997 0 1 1-1.41 1.41L12 13.41l-4.885 4.885a.997.997 0 1 1-1.41-1.41L10.59 12 5.705 7.115a.997.997 0 0 1 1.41-1.41L12 10.59l4.885-4.885a.997.997 0 0 1 1.41 0Z"
    }, null, 3, null),
    "data-testid": "close",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "RJ_0");
}, "SfIconClose_component_0wO2hCmoafk"));

const SfIconCloseSm = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M16.615 8.564a.974.974 0 0 0-1.378-1.378L11.9 10.522 8.563 7.186a.974.974 0 1 0-1.378 1.378l3.337 3.336-3.337 3.337a.974.974 0 1 0 1.378 1.378l3.337-3.337 3.336 3.337a.974.974 0 1 0 1.379-1.378L13.278 11.9l3.337-3.336Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "close-sm",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "QU_0");
}, "SfIconCloseSm_component_E3TjFTnABr4"));

const SfIconCompareArrows = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m15.3 13.3-3.6-3.6a.871.871 0 0 1-.212-.325A1.099 1.099 0 0 1 11.425 9c0-.133.021-.258.063-.375A.871.871 0 0 1 11.7 8.3l3.6-3.6c.2-.2.433-.3.7-.3.267 0 .5.1.7.3.2.2.3.437.3.712 0 .275-.1.513-.3.713L14.825 8H21a.97.97 0 0 1 .712.287c.192.192.288.43.288.713s-.096.52-.288.712A.965.965 0 0 1 21 10h-6.175l1.875 1.875c.2.2.3.433.3.7 0 .267-.1.5-.3.7-.2.2-.429.308-.687.325-.259.017-.496-.083-.713-.3Zm-8 5.975c.2.2.433.304.7.312.267.009.5-.087.7-.287l3.6-3.6a.88.88 0 0 0 .213-.325c.041-.117.062-.242.062-.375s-.02-.258-.062-.375a.883.883 0 0 0-.213-.325l-3.6-3.6a.96.96 0 0 0-.7-.3c-.267 0-.5.1-.7.3-.2.2-.3.437-.3.712 0 .275.1.513.3.713L9.175 14H3a.967.967 0 0 0-.712.287A.968.968 0 0 0 2 15c0 .283.096.52.288.712A.965.965 0 0 0 3 16h6.175L7.3 17.875c-.2.2-.3.433-.3.7 0 .267.1.5.3.7Z"
    }, null, 3, null),
    "data-testid": "compare-arrows",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "BD_0");
}, "SfIconCompareArrows_component_lhlsaR0G0LE"));

const SfIconContactSupport = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m13 22-.25-3h-.25c-2.367 0-4.375-.825-6.025-2.475C4.825 14.875 4 12.867 4 10.5c0-2.367.825-4.375 2.475-6.025C8.125 2.825 10.133 2 12.5 2c1.183 0 2.287.22 3.312.662a8.6 8.6 0 0 1 2.701 1.825 8.588 8.588 0 0 1 1.824 2.7A8.279 8.279 0 0 1 21 10.5c0 2.533-.758 4.804-2.275 6.812C17.208 19.321 15.3 20.883 13 22Zm-.525-6.025c.283 0 .525-.1.725-.3.2-.2.3-.442.3-.725s-.1-.525-.3-.725c-.2-.2-.442-.3-.725-.3s-.525.1-.725.3c-.2.2-.3.442-.3.725s.1.525.3.725c.2.2.442.3.725.3ZM12.5 12.8c.183 0 .35-.067.5-.2a.988.988 0 0 0 .3-.55c.033-.217.125-.413.275-.588.15-.175.408-.445.775-.812.3-.3.55-.625.75-.975.2-.35.3-.725.3-1.125 0-.85-.287-1.488-.862-1.913C13.963 6.212 13.283 6 12.5 6c-.583 0-1.087.133-1.512.4a3.41 3.41 0 0 0-1.038 1 .617.617 0 0 0-.063.575c.075.2.23.342.463.425a.65.65 0 0 0 .5 0c.167-.067.317-.192.45-.375a1.67 1.67 0 0 1 .488-.45c.191-.117.429-.175.712-.175.45 0 .788.125 1.013.375.225.25.337.525.337.825 0 .283-.083.537-.25.762a6.18 6.18 0 0 1-.6.688c-.467.4-.78.725-.938.975-.158.25-.254.592-.287 1.025-.017.2.046.375.188.525.141.15.32.225.537.225ZM15 17v1.35c1.183-1 2.146-2.17 2.887-3.512A8.822 8.822 0 0 0 19 10.5c0-1.817-.629-3.354-1.887-4.613C15.854 4.629 14.317 4 12.5 4c-1.817 0-3.354.629-4.612 1.887C6.629 7.146 6 8.683 6 10.5c0 1.817.63 3.354 1.888 4.613C9.146 16.371 10.683 17 12.5 17H15Z"
    }, null, 3, null),
    "data-testid": "contact-support",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "bE_0");
}, "SfIconContactSupport_component_SodCmQgIyPE"));

const SfIconCreditCard = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M20 4H4c-1.11 0-1.99.89-1.99 2L2 18c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V6c0-1.11-.89-2-2-2Zm0 14H4v-6h16v6Zm0-10H4V6h16v2Z"
    }, null, 3, null),
    "data-testid": "credit-card",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "IT_0");
}, "SfIconCreditCard_component_k1Hm3MG16Ds"));

const SfIconDelete = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M7 20c-.55 0-1.02-.196-1.412-.587A1.927 1.927 0 0 1 5 18V5a.97.97 0 0 1-.713-.287A.97.97 0 0 1 4 4a.97.97 0 0 1 .287-.713A.97.97 0 0 1 5 3h4c0-.283.096-.521.288-.713A.967.967 0 0 1 10 2h4a.97.97 0 0 1 .713.287A.97.97 0 0 1 15 3h4a.97.97 0 0 1 .712.287c.192.192.288.43.288.713a.968.968 0 0 1-.288.713A.967.967 0 0 1 19 5v13a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 17 20H7ZM7 5v13h10V5H7Zm2 10c0 .283.096.52.288.712A.965.965 0 0 0 10 16a.968.968 0 0 0 .713-.288A.967.967 0 0 0 11 15V8a.97.97 0 0 0-.287-.713A.97.97 0 0 0 10 7a.967.967 0 0 0-.712.287A.968.968 0 0 0 9 8v7Zm4 0c0 .283.096.52.288.712A.965.965 0 0 0 14 16a.968.968 0 0 0 .713-.288A.967.967 0 0 0 15 15V8a.97.97 0 0 0-.287-.713A.97.97 0 0 0 14 7a.967.967 0 0 0-.712.287A.968.968 0 0 0 13 8v7Z"
    }, null, 3, null),
    "data-testid": "delete",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Do_0");
}, "SfIconDelete_component_IrIRpufsYFQ"));

const SfIconError = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M22 12c0 5.52-4.48 10-10 10S2 17.52 2 12 6.48 2 12 2s10 4.48 10 10ZM12 7a1 1 0 0 1 1 1v4a1 1 0 1 1-2 0V8a1 1 0 0 1 1-1Zm0 7.75a1.25 1.25 0 1 0 0 2.5 1.25 1.25 0 0 0 0-2.5Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "error",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Dk_0");
}, "SfIconError_component_T2hDr9sZILc"));

const SfIconExpandLess = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M17 15a.998.998 0 0 1-1.41 0l-3.885-3.875L7.82 15a.998.998 0 0 1-1.41-1.412l4.588-4.587a1 1 0 0 1 1.414 0L17 13.589A.998.998 0 0 1 17 15Z"
    }, null, 3, null),
    "data-testid": "expand-less",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "mJ_0");
}, "SfIconExpandLess_component_DOahPwsZRFE"));

const SfIconExpandMore = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M17 9.003a.998.998 0 0 0-1.41 0l-3.885 3.876L7.82 9.003a.998.998 0 0 0-1.41 1.411l4.588 4.588a1 1 0 0 0 1.414 0L17 10.414a.997.997 0 0 0 0-1.41Z"
    }, null, 3, null),
    "data-testid": "expand-more",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Lo_0");
}, "SfIconExpandMore_component_mcARi3iv4FQ"));

const SfIconFacebook = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m17.01 13.25.555-3.62h-3.473V7.282c0-.99.485-1.956 2.04-1.956h1.58V2.245S16.279 2 14.909 2c-2.86 0-4.73 1.734-4.73 4.872V9.63H7v3.62h3.18V22h3.912v-8.75h2.918Z"
    }, null, 3, null),
    "data-testid": "facebook",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "hY_0");
}, "SfIconFacebook_component_QslTPLSZAVE"));

const SfIconFavorite = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M19.664 4.99c-2.64-1.8-5.9-.96-7.66 1.1-1.76-2.06-5.02-2.91-7.66-1.1-1.4.96-2.28 2.58-2.34 4.29-.14 3.88 3.3 6.99 8.55 11.76l.1.09c.76.69 1.93.69 2.69-.01l.11-.1c5.25-4.76 8.68-7.87 8.55-11.75-.06-1.7-.94-3.32-2.34-4.28Zm-7.56 14.56-.1.1-.1-.1c-4.76-4.31-7.9-7.16-7.9-10.05 0-2 1.5-3.5 3.5-3.5 1.54 0 3.04.99 3.57 2.36h1.87c.52-1.37 2.02-2.36 3.56-2.36 2 0 3.5 1.5 3.5 3.5 0 2.89-3.14 5.74-7.9 10.05Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "favorite",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Qk_0");
}, "SfIconFavorite_component_nCIlTBeh7WQ"));

const SfIconFavoriteFilled = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M10.67 21.133c-5.52-4.95-8.72-7.64-8.67-11.39.04-2.97 2.3-4.39 2.35-4.43 3.61-2.46 6.89.22 7.65 1.11.75-.88 3.99-3.51 7.56-1.16.52.34 2.23 1.65 2.42 4.12.32 4.28-4.14 7.76-8.65 11.76-.38.34-.86.5-1.34.5-.47 0-.94-.17-1.32-.51Z"
    }, null, 3, null),
    "data-testid": "favorite-filled",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "0W_0");
}, "SfIconFavoriteFilled_component_p0Uua9zzGC0"));

const SfIconGridView = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M5 11c-.55 0-1.021-.196-1.413-.588A1.925 1.925 0 0 1 3 9V5c0-.55.196-1.021.587-1.413A1.928 1.928 0 0 1 5 3h4c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v4c0 .55-.196 1.02-.587 1.412A1.927 1.927 0 0 1 9 11H5Zm0 10a1.93 1.93 0 0 1-1.413-.587A1.928 1.928 0 0 1 3 19v-4c0-.55.196-1.021.587-1.413A1.928 1.928 0 0 1 5 13h4c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v4a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 9 21H5Zm10-10c-.55 0-1.02-.196-1.412-.588A1.923 1.923 0 0 1 13 9V5c0-.55.196-1.021.588-1.413A1.925 1.925 0 0 1 15 3h4c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v4c0 .55-.196 1.02-.587 1.412A1.927 1.927 0 0 1 19 11h-4Zm0 10c-.55 0-1.02-.196-1.412-.587A1.927 1.927 0 0 1 13 19v-4c0-.55.196-1.021.588-1.413A1.925 1.925 0 0 1 15 13h4c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v4a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 19 21h-4ZM5 9h4V5H5v4Zm10 0h4V5h-4v4Zm0 10h4v-4h-4v4ZM5 19h4v-4H5v4Z"
    }, null, 3, null),
    "data-testid": "grid-view",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "1H_0");
}, "SfIconGridView_component_fq7eOoPKvOI"));

const SfIconHelp = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M11.95 18c.35 0 .646-.121.888-.363.241-.241.362-.537.362-.887s-.12-.646-.362-.887a1.208 1.208 0 0 0-.888-.363c-.35 0-.646.121-.888.363a1.206 1.206 0 0 0-.362.887c0 .35.12.646.362.887.242.242.538.363.888.363Zm.15-10.3c.467 0 .842.129 1.125.387.283.259.425.596.425 1.013 0 .283-.096.57-.287.862a4.896 4.896 0 0 1-.813.913c-.5.433-.867.85-1.1 1.25-.233.4-.35.8-.35 1.2a.76.76 0 0 0 .263.587.904.904 0 0 0 1.237-.012c.183-.167.3-.375.35-.625.05-.283.163-.546.338-.787.175-.242.462-.555.862-.938.517-.483.88-.925 1.088-1.325.208-.4.312-.842.312-1.325 0-.85-.32-1.546-.962-2.088C13.946 6.271 13.117 6 12.1 6c-.7 0-1.32.133-1.862.4a2.844 2.844 0 0 0-1.263 1.225.99.99 0 0 0-.125.637c.033.209.15.38.35.513a.965.965 0 0 0 .713.125 1 1 0 0 0 .637-.425c.183-.25.404-.442.663-.575.258-.133.554-.2.887-.2ZM12 22a9.671 9.671 0 0 1-3.875-.788 10.238 10.238 0 0 1-3.187-2.137 9.983 9.983 0 0 1-2.15-3.175A9.733 9.733 0 0 1 2 12a9.74 9.74 0 0 1 .788-3.9 9.983 9.983 0 0 1 2.15-3.175c.908-.9 1.97-1.613 3.187-2.138A9.681 9.681 0 0 1 12 2c1.4 0 2.708.262 3.925.787A10.105 10.105 0 0 1 19.1 4.925c.9.9 1.608 1.958 2.125 3.175A9.873 9.873 0 0 1 22 12a9.873 9.873 0 0 1-.775 3.9 9.927 9.927 0 0 1-2.125 3.175c-.9.9-1.958 1.612-3.175 2.137C14.708 21.737 13.4 22 12 22Z"
    }, null, 3, null),
    "data-testid": "help",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "F8_0");
}, "SfIconHelp_component_cYapqv51K28"));

const SfIconHome = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M6 19h3v-6h6v6h3v-9l-6-4.5L6 10v9Zm0 2c-.55 0-1.02-.196-1.412-.587A1.927 1.927 0 0 1 4 19v-9c0-.317.071-.617.213-.9a1.91 1.91 0 0 1 .587-.7l6-4.5a2.11 2.11 0 0 1 .575-.3c.2-.067.408-.1.625-.1.217 0 .425.033.625.1s.392.167.575.3l6 4.5A1.99 1.99 0 0 1 20 10v9a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 18 21h-5v-6h-2v6H6Z"
    }, null, 3, null),
    "data-testid": "home",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "wM_0");
}, "SfIconHome_component_P5BhEo774Jg"));

const SfIconIndeterminateCheckBox = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M3 5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5Zm14 7a1 1 0 0 1-1 1H8a1 1 0 1 1 0-2h8a1 1 0 0 1 1 1Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "indeterminate-check-box",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Wf_0");
}, "SfIconIndeterminateCheckBox_component_427ZricbCS0"));

const SfIconInfo = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Fragment, {
      children: [
        /* @__PURE__ */ _jsxQ("path", null, {
          d: "M13.25 8a1.25 1.25 0 1 1-2.5 0 1.25 1.25 0 0 1 2.5 0ZM11 16a1 1 0 1 0 2 0v-4a1 1 0 1 0-2 0v4Z"
        }, null, 3, null),
        /* @__PURE__ */ _jsxQ("path", null, {
          clipRule: "evenodd",
          d: "M2 12C2 6.48 6.48 2 12 2s10 4.48 10 10-4.48 10-10 10S2 17.52 2 12Zm2 0c0 4.41 3.59 8 8 8s8-3.59 8-8-3.59-8-8-8-8 3.59-8 8Z",
          fillRule: "evenodd"
        }, null, 3, null)
      ]
    }, 3, "n4_0"),
    "data-testid": "info",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "n4_1");
}, "SfIconInfo_component_lT4xW25RUe4"));

const SfIconInstagram = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12.003 6.871a5.118 5.118 0 0 0-5.127 5.127 5.118 5.118 0 0 0 5.127 5.126 5.118 5.118 0 0 0 5.126-5.126 5.118 5.118 0 0 0-5.126-5.127Zm0 8.46a3.339 3.339 0 0 1-3.333-3.333 3.336 3.336 0 0 1 3.333-3.333 3.336 3.336 0 0 1 3.333 3.333 3.34 3.34 0 0 1-3.333 3.333Zm6.532-8.67c0 .665-.536 1.196-1.196 1.196a1.196 1.196 0 1 1 1.196-1.196Zm3.395 1.214c-.076-1.602-.442-3.02-1.615-4.19-1.169-1.169-2.588-1.534-4.19-1.615-1.65-.093-6.599-.093-8.25 0-1.597.076-3.016.442-4.19 1.611-1.173 1.169-1.534 2.588-1.614 4.19-.094 1.65-.094 6.599 0 8.25.076 1.601.441 3.02 1.615 4.19 1.173 1.168 2.588 1.534 4.19 1.614 1.65.094 6.599.094 8.25 0 1.601-.076 3.02-.442 4.189-1.615 1.169-1.169 1.535-2.588 1.615-4.19.094-1.65.094-6.594 0-8.245Zm-2.133 10.017a3.375 3.375 0 0 1-1.9 1.9c-1.316.523-4.44.402-5.894.402-1.455 0-4.583.116-5.894-.401a3.374 3.374 0 0 1-1.901-1.901c-.522-1.316-.402-4.44-.402-5.894 0-1.455-.116-4.582.402-5.894a3.374 3.374 0 0 1 1.9-1.901c1.317-.522 4.44-.402 5.895-.402 1.454 0 4.582-.116 5.894.402a3.374 3.374 0 0 1 1.9 1.9c.523 1.317.402 4.44.402 5.895 0 1.454.12 4.582-.402 5.894Z"
    }, null, 3, null),
    "data-testid": "instagram",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "qM_0");
}, "SfIconInstagram_component_3stHLod4X5E"));

const SfIconLanguage = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M12.534 21.98a10.032 10.032 0 0 0 8.708-13.84 9.949 9.949 0 0 0-9.661-6.132 9.801 9.801 0 0 0-9.58 9.787 10.127 10.127 0 0 0 9.412 10.177c.095.02.192.025.289.016.085.004.17.006.257.008h.017c.124 0 .249-.002.373-.007.062.003.124 0 .185-.009ZM14.81 4.493a13.412 13.412 0 0 1 1.604 3.502h2.535a7.95 7.95 0 0 0-4.139-3.502Zm-2.805-.421c1.063 1.236 1.83 2.553 2.31 3.923h-4.62c.48-1.37 1.247-2.687 2.31-3.923Zm2.8 5.923h-5.6a10.848 10.848 0 0 0-.113 1.565c0 .881.105 1.782.319 2.696h5.188a11.82 11.82 0 0 0 .319-2.697c0-.526-.037-1.047-.112-1.564Zm-.84 6.261h-3.92a17.616 17.616 0 0 0 1.96 3.571 17.762 17.762 0 0 0 1.96-3.57Zm-6.6-2a13.71 13.71 0 0 1-.273-2.696c0-.526.032-1.048.095-1.565H4.213A7.798 7.798 0 0 0 4 11.801v.006a8.123 8.123 0 0 0 .358 2.45h3.005Zm-2.079 2H7.91c.38 1.101.893 2.199 1.532 3.285a8.125 8.125 0 0 1-4.156-3.285Zm10.813 0h2.66a8.03 8.03 0 0 1-4.21 3.315 18.231 18.231 0 0 0 1.55-3.315Zm3.569-2h-3.022c.18-.902.272-1.803.272-2.697 0-.526-.032-1.048-.095-1.564h2.935a7.97 7.97 0 0 1 .243 1.965v.002a8.03 8.03 0 0 1-.333 2.294ZM9.233 4.441a13.428 13.428 0 0 0-1.637 3.554H4.995a7.799 7.799 0 0 1 4.238-3.554ZM12 2h.003v.086l-.005-.002V2H12Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "language",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "pv_0");
}, "SfIconLanguage_component_5V0GCVVZn48"));

const SfIconLocalShipping = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M6 20a2.893 2.893 0 0 1-2.125-.875A2.893 2.893 0 0 1 3 17c-.55 0-1.02-.196-1.412-.587A1.927 1.927 0 0 1 1 15V6c0-.55.196-1.02.588-1.412A1.923 1.923 0 0 1 3 4h12c.55 0 1.021.196 1.413.588.391.391.587.862.587 1.412v2h2.5c.167 0 .317.033.45.1s.25.167.35.3l2.5 3.325a.883.883 0 0 1 .15.275c.033.1.05.208.05.325V16c0 .283-.096.52-.288.712A.965.965 0 0 1 22 17h-1c0 .833-.292 1.542-.875 2.125A2.893 2.893 0 0 1 18 20a2.893 2.893 0 0 1-2.125-.875A2.893 2.893 0 0 1 15 17H9c0 .833-.292 1.542-.875 2.125A2.893 2.893 0 0 1 6 20Zm0-2a.968.968 0 0 0 .713-.288A.967.967 0 0 0 7 17a.967.967 0 0 0-.287-.712A.968.968 0 0 0 6 16a.968.968 0 0 0-.713.288A.967.967 0 0 0 5 17c0 .283.096.52.287.712.192.192.43.288.713.288ZM3 6v9h.8c.283-.3.608-.542.975-.725A2.701 2.701 0 0 1 6 14c.45 0 .858.092 1.225.275.367.183.692.425.975.725H15V6H3Zm15 12c.283 0 .52-.096.712-.288A.965.965 0 0 0 19 17a.965.965 0 0 0-.288-.712A.965.965 0 0 0 18 16a.965.965 0 0 0-.712.288A.965.965 0 0 0 17 17c0 .283.096.52.288.712A.965.965 0 0 0 18 18Zm-1-5h4.25L19 10h-2v3Z"
    }, null, 3, null),
    "data-testid": "local-shipping",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "ZY_0");
}, "SfIconLocalShipping_component_9jGwKcSpX1w"));

const SfIconLocationOn = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Fragment, {
      children: [
        /* @__PURE__ */ _jsxQ("path", null, {
          d: "M10 10c0 1.1.9 2 2 2s2-.9 2-2-.9-2-2-2-2 .9-2 2Z"
        }, null, 3, null),
        /* @__PURE__ */ _jsxQ("path", null, {
          clipRule: "evenodd",
          d: "M4 10.2c0 3.18 2.45 6.92 7.34 11.23.38.33.95.33 1.33 0C17.55 17.12 20 13.38 20 10.2 20 5.22 16.2 2 12 2s-8 3.22-8 8.2Zm2 0C6 6.386 8.842 4 12 4s6 2.386 6 6.2c0 1.073-.416 2.424-1.51 4.097-.986 1.51-2.465 3.191-4.486 5.042-2.025-1.851-3.506-3.532-4.494-5.042C6.416 12.623 6 11.273 6 10.2Z",
          fillRule: "evenodd"
        }, null, 3, null)
      ]
    }, 3, "io_0"),
    "data-testid": "location-on",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "io_1");
}, "SfIconLocationOn_component_Fh01wE2TyZ4"));

const SfIconLocationOnFilled = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M12 2c-4.2 0-8 3.22-8 8.2 0 3.18 2.45 6.92 7.34 11.23.38.33.95.33 1.33 0C17.55 17.12 20 13.38 20 10.2 20 5.22 16.2 2 12 2Zm0 10c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "location-on-filled",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "aW_0");
}, "SfIconLocationOnFilled_component_6r6S0p4n04o"));

const SfIconLock = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M6 23c-.55 0-1.02-.196-1.412-.587A1.927 1.927 0 0 1 4 21V11c0-.55.196-1.021.588-1.413A1.925 1.925 0 0 1 6 9h1V7c0-1.383.488-2.563 1.463-3.538C9.438 2.487 10.617 2 12 2s2.563.487 3.538 1.462C16.513 4.437 17 5.617 17 7v2h1c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v10a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 18 23H6Zm6-5a1.93 1.93 0 0 0 1.413-.587c.391-.392.587-.863.587-1.413s-.196-1.021-.587-1.413A1.928 1.928 0 0 0 12 14c-.55 0-1.02.196-1.412.587A1.927 1.927 0 0 0 10 16c0 .55.196 1.021.588 1.413.391.391.862.587 1.412.587ZM9 9h6V7c0-.833-.292-1.542-.875-2.125A2.893 2.893 0 0 0 12 4c-.833 0-1.542.292-2.125.875A2.893 2.893 0 0 0 9 7v2Z"
    }, null, 3, null),
    "data-testid": "lock",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "BK_0");
}, "SfIconLock_component_XK08exFKer0"));

const SfIconLockOpen = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M6 22c-.55 0-1.02-.196-1.412-.587A1.927 1.927 0 0 1 4 20V10c0-.55.196-1.021.588-1.413A1.925 1.925 0 0 1 6 8h9V6c0-.833-.292-1.542-.875-2.125A2.893 2.893 0 0 0 12 3a2.87 2.87 0 0 0-1.812.612A2.99 2.99 0 0 0 9.125 5.15a1.4 1.4 0 0 1-.387.612.885.885 0 0 1-.613.238c-.333 0-.6-.113-.8-.338a.81.81 0 0 1-.2-.762c.25-1.117.825-2.046 1.725-2.788C9.75 1.371 10.8 1 12 1c1.383 0 2.563.487 3.538 1.462C16.513 3.437 17 4.617 17 6v2h1c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v10a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 18 22H6Zm0-2h12V10H6v10Zm6-3a1.93 1.93 0 0 0 1.413-.587c.391-.392.587-.863.587-1.413s-.196-1.021-.587-1.413A1.928 1.928 0 0 0 12 13c-.55 0-1.02.196-1.412.587A1.927 1.927 0 0 0 10 15c0 .55.196 1.021.588 1.413.391.391.862.587 1.412.587Z"
    }, null, 3, null),
    "data-testid": "lock-open",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "PV_0");
}, "SfIconLockOpen_component_cWTUFFgiguI"));

const SfIconLogin = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M9.325 16.275a1.111 1.111 0 0 1-.275-.738c0-.275.092-.504.275-.687l1.85-1.85H4a.965.965 0 0 1-.712-.288A.965.965 0 0 1 3 12c0-.283.096-.521.288-.713A.967.967 0 0 1 4 11h7.175l-1.85-1.85c-.2-.2-.3-.437-.3-.712 0-.275.1-.513.3-.713.183-.2.413-.3.688-.3.275 0 .504.092.687.275l3.6 3.6c.1.1.171.208.213.325.041.117.062.242.062.375s-.02.258-.062.375a.883.883 0 0 1-.213.325l-3.6 3.6c-.2.2-.433.292-.7.275a1.012 1.012 0 0 1-.675-.3ZM13 21a.965.965 0 0 1-.712-.288A.965.965 0 0 1 12 20c0-.283.096-.52.288-.712A.965.965 0 0 1 13 19h6V5h-6a.965.965 0 0 1-.712-.288A.965.965 0 0 1 12 4c0-.283.096-.521.288-.713A.967.967 0 0 1 13 3h6c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v14a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 19 21h-6Z"
    }, null, 3, null),
    "data-testid": "login",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "y8_0");
}, "SfIconLogin_component_C80zzD1k0m0"));

const SfIconLogout = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M15.325 16.275a1.112 1.112 0 0 1-.275-.738c0-.275.092-.504.275-.687l1.85-1.85H10a.965.965 0 0 1-.712-.288A.965.965 0 0 1 9 12c0-.283.096-.521.288-.713A.967.967 0 0 1 10 11h7.175l-1.85-1.85c-.2-.2-.3-.437-.3-.712 0-.275.1-.513.3-.713.183-.2.413-.3.688-.3.275 0 .504.092.687.275l3.6 3.6c.1.1.171.208.213.325.041.117.062.242.062.375s-.02.258-.062.375a.883.883 0 0 1-.213.325l-3.6 3.6c-.217.217-.454.312-.712.287a1.052 1.052 0 0 1-.663-.312ZM5 21a1.93 1.93 0 0 1-1.413-.587A1.928 1.928 0 0 1 3 19V5c0-.55.196-1.021.587-1.413A1.928 1.928 0 0 1 5 3h6a.97.97 0 0 1 .713.287A.97.97 0 0 1 12 4a.97.97 0 0 1-.287.712A.968.968 0 0 1 11 5H5v14h6c.283 0 .521.096.713.288A.967.967 0 0 1 12 20a.97.97 0 0 1-.287.712A.968.968 0 0 1 11 21H5Z"
    }, null, 3, null),
    "data-testid": "logout",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "jY_0");
}, "SfIconLogout_component_2UGvHp9DQWY"));

const SfIconMenu = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M4 18a1 1 0 1 1 0-2h16a1 1 0 1 1 0 2H4Zm0-5a1 1 0 1 1 0-2h16a1 1 0 1 1 0 2H4ZM3 7a1 1 0 0 1 1-1h16a1 1 0 1 1 0 2H4a1 1 0 0 1-1-1Z"
    }, null, 3, null),
    "data-testid": "menu",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "uG_0");
}, "SfIconMenu_component_Adv02HVGFq4"));

const SfIconMoreHoriz = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 14a2 2 0 1 1 .001-4.001A2 2 0 0 1 12 14Zm4-2a2 2 0 1 0 4.001-.001A2 2 0 0 0 16 12Zm-8 0a2 2 0 1 0-4.001.001A2 2 0 0 0 8 12Z"
    }, null, 3, null),
    "data-testid": "more-horiz",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "oS_0");
}, "SfIconMoreHoriz_component_nonQS0FBzGc"));

const SfIconMoreVert = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M14 12a2 2 0 1 1-4.001-.001A2 2 0 0 1 14 12Zm-2-4a2 2 0 1 0-.001-4.001A2 2 0 0 0 12 8Zm0 8a2 2 0 1 0 .001 4.001A2 2 0 0 0 12 16Z"
    }, null, 3, null),
    "data-testid": "more-vert",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "dw_0");
}, "SfIconMoreVert_component_tJEBPbcL9Jg"));

const SfIconOpenInNew = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M19 19H5V5h6a1 1 0 1 0 0-2H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14c1.1 0 2-.9 2-2v-6a1 1 0 1 0-2 0v6ZM15 3a1 1 0 1 0 0 2h2.59l-9.125 9.125a.997.997 0 0 0 1.41 1.41L19 6.41V9a1 1 0 1 0 2 0V3h-6Z"
    }, null, 3, null),
    "data-testid": "open-in-new",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "WW_0");
}, "SfIconOpenInNew_component_0wY03Ur0Y0g"));

const SfIconOpenSource = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 2C5.913 2 1 6.913 1 13c0 3.887 1.98 7.407 5.28 9.46.073.073.22.073.293.073.074 0 .147-.073.22-.146l3.447-5.647a.387.387 0 0 0-.147-.513c-1.1-.66-1.76-1.834-1.76-3.154A3.631 3.631 0 0 1 12 9.407a3.631 3.631 0 0 1 3.667 3.666c0 1.394-.807 2.64-1.98 3.3l-.22.22c0 .074 0 .22.073.294l3.447 5.646c.073.147.22.147.293.147.073 0 .147 0 .147-.073C20.873 20.627 23 16.96 23 13.073 23 6.987 18.087 2 12 2Z"
    }, null, 3, null),
    "data-testid": "open-source",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "HT_0");
}, "SfIconOpenSource_component_4Xh0HH8IKIA"));

const SfIconPackage = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m10 9.75 1.325-.65a1.593 1.593 0 0 1 1.35 0L14 9.75V5h-4v4.75ZM8 17a.968.968 0 0 1-.713-.288A.967.967 0 0 1 7 16a.97.97 0 0 1 .287-.713A.97.97 0 0 1 8 15h3a.97.97 0 0 1 .713.287A.97.97 0 0 1 12 16a.97.97 0 0 1-.287.712A.968.968 0 0 1 11 17H8Zm-3 4a1.93 1.93 0 0 1-1.413-.587A1.928 1.928 0 0 1 3 19V5c0-.55.196-1.021.587-1.413A1.928 1.928 0 0 1 5 3h14c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v14a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 19 21H5Zm0-2h14V5h-3v6.375c0 .383-.158.67-.475.862a.951.951 0 0 1-.975.038L12 11l-2.55 1.275a.951.951 0 0 1-.975-.038c-.317-.191-.475-.479-.475-.862V5H5v14Z"
    }, null, 3, null),
    "data-testid": "package",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Go_0");
}, "SfIconPackage_component_0oY7m6E0qek"));

const SfIconPercent = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M8 11a3.372 3.372 0 0 1-2.475-1.025A3.372 3.372 0 0 1 4.5 7.5c0-.967.342-1.792 1.025-2.475A3.372 3.372 0 0 1 8 4c.967 0 1.792.342 2.475 1.025A3.372 3.372 0 0 1 11.5 7.5c0 .967-.342 1.792-1.025 2.475A3.372 3.372 0 0 1 8 11Zm0-2c.417 0 .77-.146 1.063-.438.291-.291.437-.645.437-1.062 0-.417-.146-.77-.438-1.063A1.447 1.447 0 0 0 8 6c-.417 0-.77.146-1.063.438A1.447 1.447 0 0 0 6.5 7.5c0 .417.146.77.438 1.063C7.229 8.854 7.582 9 8 9Zm9 11a3.372 3.372 0 0 1-2.475-1.025A3.372 3.372 0 0 1 13.5 16.5c0-.967.342-1.792 1.025-2.475A3.372 3.372 0 0 1 17 13c.967 0 1.792.342 2.475 1.025A3.372 3.372 0 0 1 20.5 16.5c0 .967-.342 1.792-1.025 2.475A3.372 3.372 0 0 1 17 20Zm0-2c.417 0 .77-.146 1.063-.438.291-.291.437-.645.437-1.062 0-.417-.146-.77-.438-1.063A1.446 1.446 0 0 0 17 15c-.417 0-.77.146-1.063.438A1.446 1.446 0 0 0 15.5 16.5c0 .417.146.77.438 1.063.291.291.645.437 1.062.437ZM5.2 19.3a.948.948 0 0 1-.275-.7.95.95 0 0 1 .275-.7L18.4 4.7a.948.948 0 0 1 .7-.275.95.95 0 0 1 .7.275.948.948 0 0 1 .275.7.948.948 0 0 1-.275.7L6.6 19.3a.948.948 0 0 1-.7.275.948.948 0 0 1-.7-.275Z"
    }, null, 3, null),
    "data-testid": "percent",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "5t_0");
}, "SfIconPercent_component_erRlhZG4ly4"));

const SfIconPerson = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 12c-1.1 0-2.042-.392-2.825-1.175C8.392 10.042 8 9.1 8 8s.392-2.042 1.175-2.825C9.958 4.392 10.9 4 12 4s2.042.392 2.825 1.175C15.608 5.958 16 6.9 16 8s-.392 2.042-1.175 2.825C14.042 11.608 13.1 12 12 12Zm6 8H6c-.55 0-1.02-.196-1.412-.587A1.927 1.927 0 0 1 4 18v-.8c0-.567.146-1.088.438-1.563A2.914 2.914 0 0 1 5.6 14.55a14.866 14.866 0 0 1 3.15-1.163A13.776 13.776 0 0 1 12 13c1.1 0 2.183.129 3.25.387 1.067.259 2.117.646 3.15 1.163.483.25.87.612 1.162 1.087.292.475.438.996.438 1.563v.8a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 18 20ZM6 18h12v-.8a.943.943 0 0 0-.137-.5.977.977 0 0 0-.363-.35 13.03 13.03 0 0 0-2.725-1.013 11.615 11.615 0 0 0-5.55 0A13.03 13.03 0 0 0 6.5 16.35a.97.97 0 0 0-.5.85v.8Zm6-8c.55 0 1.021-.196 1.413-.588C13.804 9.021 14 8.55 14 8c0-.55-.196-1.02-.587-1.412A1.927 1.927 0 0 0 12 6c-.55 0-1.02.196-1.412.588A1.923 1.923 0 0 0 10 8c0 .55.196 1.02.588 1.412.391.392.862.588 1.412.588Z"
    }, null, 3, null),
    "data-testid": "person",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "mR_0");
}, "SfIconPerson_component_JineGIb9jTU"));

const SfIconPinterest = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12.175 2C8.063 2 4 4.74 4 9.177c0 2.82 1.587 4.424 2.549 4.424.396 0 .625-1.106.625-1.419 0-.373-.95-1.166-.95-2.717 0-3.221 2.452-5.505 5.626-5.505 2.729 0 4.749 1.55 4.749 4.4 0 2.127-.854 6.118-3.619 6.118-.998 0-1.851-.721-1.851-1.755 0-1.515 1.058-2.981 1.058-4.544 0-2.653-3.763-2.172-3.763 1.034 0 .673.084 1.418.385 2.032-.553 2.38-1.683 5.926-1.683 8.378 0 .758.108 1.503.18 2.26.136.153.068.137.276.06 2.02-2.764 1.948-3.305 2.862-6.924.492.938 1.767 1.443 2.776 1.443 4.256 0 6.167-4.148 6.167-7.886C19.387 4.596 15.95 2 12.175 2Z"
    }, null, 3, null),
    "data-testid": "pinterest",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "K1_0");
}, "SfIconPinterest_component_r5B0Pbzu0bo"));

const SfIconPublishedWithChanges = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M14.175 2.225c2.25.5 4.117 1.65 5.6 3.45C21.258 7.475 22 9.583 22 12c0 1.517-.304 2.917-.913 4.2a10.03 10.03 0 0 1-2.487 3.3H20c.283 0 .52.096.712.288A.965.965 0 0 1 21 20.5c0 .284-.096.52-.288.712A.965.965 0 0 1 20 21.5h-4a.965.965 0 0 1-.712-.288A.965.965 0 0 1 15 20.5v-4a.97.97 0 0 1 .288-.713A.967.967 0 0 1 16 15.5a.97.97 0 0 1 .712.287c.192.192.288.43.288.713v1.725a8.393 8.393 0 0 0 2.188-2.725c.541-1.066.812-2.233.812-3.5 0-1.916-.587-3.588-1.762-5.013-1.175-1.425-2.655-2.345-4.438-2.762a.99.99 0 0 1-.575-.35A.96.96 0 0 1 13 3.25c0-.333.117-.608.35-.825a.83.83 0 0 1 .825-.2Zm-4.35 19.55c-2.25-.5-4.117-1.65-5.6-3.45C2.742 16.525 2 14.417 2 12c0-1.517.304-2.917.913-4.2A10.03 10.03 0 0 1 5.4 4.5H4a.965.965 0 0 1-.712-.288A.965.965 0 0 1 3 3.5a.97.97 0 0 1 .288-.713A.967.967 0 0 1 4 2.5h4a.97.97 0 0 1 .713.287A.97.97 0 0 1 9 3.5v4a.97.97 0 0 1-.287.713A.97.97 0 0 1 8 8.5a.97.97 0 0 1-.713-.287A.97.97 0 0 1 7 7.5V5.775a8.092 8.092 0 0 0-2.188 2.713C4.271 9.563 4 10.733 4 12c0 1.917.588 3.588 1.763 5.012 1.175 1.425 2.654 2.346 4.437 2.763a.99.99 0 0 1 .575.35.96.96 0 0 1 .225.625c0 .334-.117.608-.35.825a.83.83 0 0 1-.825.2Zm.75-5.6c-.133 0-.258-.02-.375-.062a.883.883 0 0 1-.325-.213L7.05 13.05a.976.976 0 0 1-.287-.688.928.928 0 0 1 .287-.712.948.948 0 0 1 .7-.275.95.95 0 0 1 .7.275l2.125 2.125L15.55 8.8c.2-.2.433-.296.7-.288.267.009.5.113.7.313.183.2.28.433.288.7a.918.918 0 0 1-.288.7L11.275 15.9a.88.88 0 0 1-.325.213 1.116 1.116 0 0 1-.375.062Z"
    }, null, 3, null),
    "data-testid": "published-with-changes",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "fN_0");
}, "SfIconPublishedWithChanges_component_MUP609ZX820"));

const SfIconQwik = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m77.734 15.32l-8.406.239l-25.094.066a13.46 13.46 0 0 0-11.511 6.633L17.477 52.539l.134-.168c-2.853 4.342-3.093 10.235-.404 14.734l15.918 26.422c2.434 4.051 6.258 6.657 11.598 6.465c11.304-.402 16.273-.402 16.273-.402l34.668 12.957l-.898-.893l.703.686c.605.586 1.59-.117 1.187-.84L87.73 93.937l16.555-29.976c2.508-5.176 3.406-9.703.93-14.254l-3.524-6.484l-1.828-3.328l-.71-1.297l-.067.074L89.5 22.043a13.397 13.397 0 0 0-11.766-6.723zm17.93 97.227l.008.012v-.004l-.008-.008zM44.762 18.594l35.793 39.36l-6.407 6.491l3.797 30.58L40.93 58.418l9.152-8.82l-5.383-30.84L19.686 49.79l25.076-31.197zm33.265 76.574v.084l-.03.006v-.049l.03-.041z",
      fill: "currentColor"
    }, null, 3, null),
    "data-testid": "add",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Ht_0");
}, "SfIconQwik_component_Xgh7bsSoj10"));

const SfIconRadioButtonChecked = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 17c1.383 0 2.563-.488 3.538-1.463C16.513 14.562 17 13.383 17 12s-.487-2.563-1.462-3.538C14.563 7.487 13.383 7 12 7s-2.562.487-3.537 1.462C7.488 9.437 7 10.617 7 12s.488 2.562 1.463 3.537C9.438 16.512 10.617 17 12 17Zm0 5a9.733 9.733 0 0 1-3.9-.788 10.092 10.092 0 0 1-3.175-2.137c-.9-.9-1.612-1.958-2.137-3.175A9.733 9.733 0 0 1 2 12a9.74 9.74 0 0 1 .788-3.9 10.092 10.092 0 0 1 2.137-3.175c.9-.9 1.958-1.613 3.175-2.138A9.743 9.743 0 0 1 12 2a9.74 9.74 0 0 1 3.9.787 10.105 10.105 0 0 1 3.175 2.138c.9.9 1.612 1.958 2.137 3.175A9.733 9.733 0 0 1 22 12a9.733 9.733 0 0 1-.788 3.9 10.092 10.092 0 0 1-2.137 3.175c-.9.9-1.958 1.612-3.175 2.137A9.733 9.733 0 0 1 12 22Zm0-2c2.233 0 4.125-.775 5.675-2.325C19.225 16.125 20 14.233 20 12c0-2.233-.775-4.125-2.325-5.675C16.125 4.775 14.233 4 12 4c-2.233 0-4.125.775-5.675 2.325C4.775 7.875 4 9.767 4 12c0 2.233.775 4.125 2.325 5.675C7.875 19.225 9.767 20 12 20Z"
    }, null, 3, null),
    "data-testid": "radio-button-checked",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "00_0");
}, "SfIconRadioButtonChecked_component_mCx3ZZY512U"));

const SfIconRadioButtonUnchecked = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2Zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8Z"
    }, null, 3, null),
    "data-testid": "radio-button-unchecked",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Fj_0");
}, "SfIconRadioButtonUnchecked_component_X9Z5t0mzPWg"));

const SfIconRemove = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M6 13a.968.968 0 0 1-.713-.288A.967.967 0 0 1 5 12a.97.97 0 0 1 .287-.713A.97.97 0 0 1 6 11h12a.97.97 0 0 1 .712.287c.192.192.288.43.288.713s-.096.52-.288.712A.965.965 0 0 1 18 13H6Z"
    }, null, 3, null),
    "data-testid": "remove",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "1Y_0");
}, "SfIconRemove_component_4NuvTGFfKe8"));

const SfIconRemoveShoppingCart = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m15.823 12.995-2-2h1.725l2.75-5H8.823l-2-2h13.125c.383 0 .68.163.887.488.209.325.213.679.013 1.062l-3.55 6.4a2.07 2.07 0 0 1-.712.775c-.292.183-.546.275-.763.275Zm-8.825 9c-.55 0-1.02-.196-1.412-.588a1.926 1.926 0 0 1-.588-1.412c0-.55.196-1.02.588-1.413a1.926 1.926 0 0 1 1.412-.587c.55 0 1.02.196 1.413.587.391.392.587.863.587 1.413s-.196 1.02-.587 1.412a1.926 1.926 0 0 1-1.413.588Zm12.8.6-5.65-5.6h-6.55c-.733 0-1.292-.313-1.675-.938-.383-.624-.408-1.279-.075-1.962l1.05-2.15-1.8-4.05L1.373 4.17a.892.892 0 0 1-.262-.687.977.977 0 0 1 .287-.688.948.948 0 0 1 .7-.275.95.95 0 0 1 .7.275L21.223 21.22c.183.183.27.413.262.688a.977.977 0 0 1-.287.687.932.932 0 0 1-.688.275 1.02 1.02 0 0 1-.712-.275Zm-7.65-7.6-2-2h-1.55l-1 2h4.55Zm4.85 7c-.55 0-1.02-.196-1.413-.588a1.926 1.926 0 0 1-.587-1.412c0-.55.196-1.02.588-1.413a1.926 1.926 0 0 1 1.412-.587c.55 0 1.02.196 1.412.587.392.392.588.863.588 1.413s-.196 1.02-.588 1.412a1.926 1.926 0 0 1-1.412.588Z"
    }, null, 3, null),
    "data-testid": "remove-shopping-cart",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "0x_0");
}, "SfIconRemoveShoppingCart_component_PdldyZZYicI"));

const SfIconSafetyCheck = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 16.5c1.383 0 2.563-.488 3.538-1.463C16.513 14.062 17 12.883 17 11.5s-.487-2.563-1.462-3.538C14.563 6.987 13.383 6.5 12 6.5s-2.562.487-3.537 1.462C7.488 8.937 7 10.117 7 11.5s.488 2.562 1.463 3.537c.975.975 2.154 1.463 3.537 1.463Zm1.65-2.65L11.5 11.7V8.5h1v2.8l1.85 1.85-.7.7ZM12 21.5c-2.317-.583-4.229-1.913-5.737-3.988C4.754 15.437 4 13.133 4 10.6V4.5l8-3 8 3v6.1c0 2.533-.754 4.837-2.262 6.912-1.509 2.075-3.421 3.405-5.738 3.988Zm0-2.1c1.733-.55 3.167-1.65 4.3-3.3s1.7-3.483 1.7-5.5V5.875l-6-2.25-6 2.25V10.6c0 2.017.567 3.85 1.7 5.5s2.567 2.75 4.3 3.3Z"
    }, null, 3, null),
    "data-testid": "safety-check",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Ju_0");
}, "SfIconSafetyCheck_component_Wuf7oonU7ak"));

const SfIconSchedule = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M14.625 16.025a.918.918 0 0 0 .675.275c.267 0 .5-.1.7-.3a.948.948 0 0 0 .275-.7.948.948 0 0 0-.275-.7l-3-3V7.975a.928.928 0 0 0-.287-.7A.993.993 0 0 0 12 7a.967.967 0 0 0-.712.287A.968.968 0 0 0 11 8v3.975a1.03 1.03 0 0 0 .3.725l3.325 3.325ZM12 22a9.733 9.733 0 0 1-3.9-.788 10.092 10.092 0 0 1-3.175-2.137c-.9-.9-1.612-1.958-2.137-3.175A9.733 9.733 0 0 1 2 12a9.74 9.74 0 0 1 .788-3.9 10.092 10.092 0 0 1 2.137-3.175c.9-.9 1.958-1.613 3.175-2.138A9.743 9.743 0 0 1 12 2a9.74 9.74 0 0 1 3.9.787 10.105 10.105 0 0 1 3.175 2.138c.9.9 1.612 1.958 2.137 3.175A9.733 9.733 0 0 1 22 12a9.733 9.733 0 0 1-.788 3.9 10.092 10.092 0 0 1-2.137 3.175c-.9.9-1.958 1.612-3.175 2.137A9.733 9.733 0 0 1 12 22Zm0-2c2.217 0 4.104-.779 5.663-2.337C19.221 16.104 20 14.217 20 12s-.779-4.104-2.337-5.663C16.104 4.779 14.217 4 12 4s-4.104.779-5.662 2.337C4.779 7.896 4 9.783 4 12s.78 4.104 2.338 5.663C7.896 19.221 9.783 20 12 20Z"
    }, null, 3, null),
    "data-testid": "schedule",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "hi_0");
}, "SfIconSchedule_component_CWkyPkHlBJg"));

const SfIconSearch = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m18.9 20.3-5.6-5.6A6.096 6.096 0 0 1 9.5 16c-1.817 0-3.354-.629-4.612-1.887C3.629 12.854 3 11.317 3 9.5c0-1.817.63-3.354 1.888-4.613C6.146 3.629 7.683 3 9.5 3c1.817 0 3.354.629 4.613 1.887C15.371 6.146 16 7.683 16 9.5a6.096 6.096 0 0 1-1.3 3.8l5.625 5.625a.918.918 0 0 1 .275.675c0 .267-.1.5-.3.7a.948.948 0 0 1-.7.275.948.948 0 0 1-.7-.275ZM9.5 14c1.25 0 2.313-.437 3.188-1.312S14 10.75 14 9.5c0-1.25-.437-2.313-1.312-3.188S10.75 5 9.5 5c-1.25 0-2.313.437-3.188 1.312S5 8.25 5 9.5c0 1.25.437 2.313 1.312 3.188S8.25 14 9.5 14Z"
    }, null, 3, null),
    "data-testid": "search",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "7I_0");
}, "SfIconSearch_component_OMGvpsl0Jhs"));

const SfIconSell = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M14.25 21.4c-.383.383-.858.575-1.425.575-.567 0-1.042-.192-1.425-.575l-8.8-8.8a2.069 2.069 0 0 1-.6-1.45V4c0-.55.196-1.021.588-1.413A1.925 1.925 0 0 1 4 2h7.15c.283 0 .55.054.8.162.25.109.467.255.65.438l8.8 8.825c.383.383.575.854.575 1.412a1.92 1.92 0 0 1-.575 1.413l-7.15 7.15ZM6.5 8c.417 0 .77-.146 1.062-.438C7.854 7.271 8 6.917 8 6.5c0-.417-.146-.77-.438-1.062A1.444 1.444 0 0 0 6.5 5c-.417 0-.77.146-1.062.438A1.444 1.444 0 0 0 5 6.5c0 .417.146.77.438 1.062.291.292.645.438 1.062.438Z"
    }, null, 3, null),
    "data-testid": "sell",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "GM_0");
}, "SfIconSell_component_jNJTmTBwWBM"));

const SfIconShoppingCart = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M7 22c-.55 0-1.02-.196-1.412-.587A1.926 1.926 0 0 1 5 20c0-.55.196-1.02.588-1.413A1.926 1.926 0 0 1 7 18c.55 0 1.02.196 1.412.587C8.804 18.98 9 19.45 9 20s-.196 1.02-.588 1.413A1.926 1.926 0 0 1 7 22Zm10 0c-.55 0-1.02-.196-1.412-.587A1.926 1.926 0 0 1 15 20c0-.55.196-1.02.588-1.413A1.926 1.926 0 0 1 17 18c.55 0 1.02.196 1.413.587.391.392.587.863.587 1.413s-.196 1.02-.587 1.413A1.926 1.926 0 0 1 17 22ZM6.15 6l2.4 5h7l2.75-5H6.15ZM7 17c-.75 0-1.317-.33-1.7-.988-.383-.658-.4-1.312-.05-1.962L6.6 11.6 3 4H1.975a.927.927 0 0 1-.7-.288A.99.99 0 0 1 1 3c0-.283.096-.52.288-.712A.968.968 0 0 1 2 2h1.625c.183 0 .358.05.525.15a.93.93 0 0 1 .375.425L5.2 4h14.75c.45 0 .758.167.925.5.167.333.158.683-.025 1.05l-3.55 6.4a2.034 2.034 0 0 1-.725.775A1.93 1.93 0 0 1 15.55 13H8.1L7 15h11.025c.283 0 .517.096.7.287.183.192.275.43.275.713s-.096.52-.288.712A.968.968 0 0 1 18 17H7Z"
    }, null, 3, null),
    "data-testid": "shopping-cart",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "JO_0");
}, "SfIconShoppingCart_component_McnN4V7mBr8"));

const SfIconShoppingCartCheckout = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M7 22c-.55 0-1.02-.196-1.412-.587A1.926 1.926 0 0 1 5 20c0-.55.196-1.02.588-1.413A1.926 1.926 0 0 1 7 18c.55 0 1.02.196 1.412.587C8.804 18.98 9 19.45 9 20s-.196 1.02-.588 1.413A1.926 1.926 0 0 1 7 22Zm10 0c-.55 0-1.02-.196-1.412-.587A1.926 1.926 0 0 1 15 20c0-.55.196-1.02.588-1.413A1.926 1.926 0 0 1 17 18c.55 0 1.02.196 1.413.587.391.392.587.863.587 1.413s-.196 1.02-.587 1.413A1.926 1.926 0 0 1 17 22ZM11.3 9.3a.948.948 0 0 1-.275-.7.95.95 0 0 1 .275-.7l.875-.9H9a.968.968 0 0 1-.713-.287A.968.968 0 0 1 8 6c0-.283.096-.52.287-.713A.968.968 0 0 1 9 5h3.175l-.9-.9a.916.916 0 0 1-.287-.7c.008-.267.112-.5.312-.7.2-.183.433-.28.7-.288.267-.008.5.088.7.288l2.6 2.6c.1.1.17.208.212.325.042.117.063.242.063.375s-.02.258-.063.375a.878.878 0 0 1-.212.325l-2.6 2.6a.977.977 0 0 1-.688.287.93.93 0 0 1-.712-.287ZM7 17c-.767 0-1.346-.33-1.737-.988-.392-.658-.396-1.312-.013-1.962L6.6 11.6 3 4H2a.968.968 0 0 1-.712-.288A.968.968 0 0 1 1 3c0-.283.096-.52.288-.712A.968.968 0 0 1 2 2h1.65c.183 0 .358.05.525.15a.93.93 0 0 1 .375.425L8.525 11h7.025l3.6-6.5A.973.973 0 0 1 20 4a.94.94 0 0 1 .863.487.937.937 0 0 1 .012.988L17.3 11.95c-.183.333-.43.592-.738.775A1.945 1.945 0 0 1 15.55 13H8.1L7 15h11a.97.97 0 0 1 .712.287c.192.192.288.43.288.713s-.096.52-.288.712A.968.968 0 0 1 18 17H7Z"
    }, null, 3, null),
    "data-testid": "shopping-cart-checkout",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "10_0");
}, "SfIconShoppingCartCheckout_component_M1vZxoJQmmk"));

const SfIconSort = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M4 18a1 1 0 1 1 0-2h4a1 1 0 1 1 0 2H4ZM3 7a1 1 0 0 1 1-1h16a1 1 0 1 1 0 2H4a1 1 0 0 1-1-1Zm1 6a1 1 0 1 1 0-2h10a1 1 0 1 1 0 2H4Z"
    }, null, 3, null),
    "data-testid": "sort",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "zp_0");
}, "SfIconSort_component_FP2qVzOZyN0"));

const SfIconStar = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m8.85 17.825 3.15-1.9 3.15 1.925-.825-3.6 2.775-2.4-3.65-.325-1.45-3.4-1.45 3.375-3.65.325 2.775 2.425-.825 3.575Zm3.15.45-4.15 2.5a.908.908 0 0 1-.575.15.966.966 0 0 1-.525-.2 1.2 1.2 0 0 1-.35-.437.876.876 0 0 1-.05-.588l1.1-4.725L3.775 11.8a.955.955 0 0 1-.312-.513.99.99 0 0 1 .037-.562 1.07 1.07 0 0 1 .3-.45c.133-.117.317-.192.55-.225l4.85-.425 1.875-4.45c.083-.2.213-.35.388-.45.175-.1.354-.15.537-.15.183 0 .363.05.538.15.175.1.304.25.387.45l1.875 4.45 4.85.425c.233.033.417.108.55.225.133.117.233.267.3.45a.961.961 0 0 1-.275 1.075l-3.675 3.175 1.1 4.725a.875.875 0 0 1-.05.588 1.2 1.2 0 0 1-.35.437.966.966 0 0 1-.525.2.908.908 0 0 1-.575-.15l-4.15-2.5Z"
    }, null, 3, null),
    "data-testid": "star",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "YD_0");
}, "SfIconStar_component_yzDMBqbObT0"));

const SfIconStarFilled = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m12 18.275-4.15 2.5a.908.908 0 0 1-.575.15.966.966 0 0 1-.525-.2 1.2 1.2 0 0 1-.35-.437.876.876 0 0 1-.05-.588l1.1-4.725L3.775 11.8a.955.955 0 0 1-.312-.513.99.99 0 0 1 .037-.562 1.07 1.07 0 0 1 .3-.45c.133-.117.317-.192.55-.225l4.85-.425 1.875-4.45c.083-.2.213-.35.388-.45.175-.1.354-.15.537-.15.183 0 .363.05.538.15.175.1.304.25.387.45l1.875 4.45 4.85.425c.233.033.417.108.55.225.133.117.233.267.3.45a.961.961 0 0 1-.275 1.075l-3.675 3.175 1.1 4.725a.875.875 0 0 1-.05.588 1.2 1.2 0 0 1-.35.437.966.966 0 0 1-.525.2.908.908 0 0 1-.575-.15l-4.15-2.5Z"
    }, null, 3, null),
    "data-testid": "star-filled",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Ac_0");
}, "SfIconStarFilled_component_NAPCr9lzXOM"));

const SfIconStarHalf = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 8.125v7.8l3.15 1.925-.825-3.6 2.775-2.4-3.65-.325-1.45-3.4Zm0 10.15-4.15 2.5a.908.908 0 0 1-.575.15.966.966 0 0 1-.525-.2 1.2 1.2 0 0 1-.35-.437.876.876 0 0 1-.05-.588l1.1-4.725L3.775 11.8a.955.955 0 0 1-.312-.513.99.99 0 0 1 .037-.562 1.07 1.07 0 0 1 .3-.45c.133-.117.317-.192.55-.225l4.85-.425 1.875-4.45c.083-.2.213-.35.388-.45.175-.1.354-.15.537-.15.183 0 .363.05.538.15.175.1.304.25.387.45l1.875 4.45 4.85.425c.233.033.417.108.55.225.133.117.233.267.3.45a.961.961 0 0 1-.275 1.075l-3.675 3.175 1.1 4.725a.875.875 0 0 1-.05.588 1.2 1.2 0 0 1-.35.437.966.966 0 0 1-.525.2.908.908 0 0 1-.575-.15l-4.15-2.5Z"
    }, null, 3, null),
    "data-testid": "star-half",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "30_0");
}, "SfIconStarHalf_component_WOqeycWGxMo"));

const SfIconThumbDown = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M3 16c-.533 0-1-.2-1.4-.6-.4-.4-.6-.867-.6-1.4v-2c0-.117.017-.242.05-.375s.067-.258.1-.375l3-7.05c.15-.333.4-.617.75-.85C5.25 3.117 5.617 3 6 3h11v13l-6 5.95c-.25.25-.546.396-.887.437a1.646 1.646 0 0 1-.988-.187 1.58 1.58 0 0 1-.7-.7 1.28 1.28 0 0 1-.1-.925L9.45 16H3Zm12-.85V5H6l-3 7v2h9l-1.35 5.5L15 15.15ZM20 3c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v9c0 .55-.196 1.02-.587 1.412A1.927 1.927 0 0 1 20 16h-3v-2h3V5h-3V3h3Z"
    }, null, 3, null),
    "data-testid": "thumb-down",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "zn_0");
}, "SfIconThumbDown_component_1tC9ugzgr0M"));

const SfIconThumbUp = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M7 22V9l6-5.95c.25-.25.546-.396.887-.438a1.66 1.66 0 0 1 .988.188c.317.167.55.4.7.7.15.3.183.609.1.925L14.55 9H21c.533 0 1 .2 1.4.6.4.4.6.867.6 1.4v2c0 .117-.017.242-.05.375s-.067.258-.1.375l-3 7.05c-.15.334-.4.617-.75.85-.35.234-.717.35-1.1.35H7ZM9 9.85V20h9l3-7v-2h-9l1.35-5.5L9 9.85ZM4 22c-.55 0-1.02-.195-1.412-.587A1.927 1.927 0 0 1 2 20v-9c0-.55.196-1.02.588-1.413A1.925 1.925 0 0 1 4 9h3v2H4v9h3v2H4Z"
    }, null, 3, null),
    "data-testid": "thumb-up",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "D2_0");
}, "SfIconThumbUp_component_8F1v5pFxnco"));

const SfIconTune = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M4 19a.965.965 0 0 1-.712-.288A.965.965 0 0 1 3 18c0-.283.096-.52.288-.712A.965.965 0 0 1 4 17h4c.283 0 .521.096.713.288A.967.967 0 0 1 9 18a.97.97 0 0 1-.287.712A.968.968 0 0 1 8 19H4ZM4 7a.967.967 0 0 1-.712-.287A.968.968 0 0 1 3 6c0-.283.096-.521.288-.713A.967.967 0 0 1 4 5h8a.97.97 0 0 1 .713.287A.97.97 0 0 1 13 6a.97.97 0 0 1-.287.713A.97.97 0 0 1 12 7H4Zm8 14a.965.965 0 0 1-.712-.288A.965.965 0 0 1 11 20v-4c0-.283.096-.521.288-.713A.967.967 0 0 1 12 15a.97.97 0 0 1 .713.287A.97.97 0 0 1 13 16v1h7c.283 0 .52.096.712.288A.965.965 0 0 1 21 18c0 .283-.096.52-.288.712A.965.965 0 0 1 20 19h-7v1a.97.97 0 0 1-.287.712A.968.968 0 0 1 12 21Zm-4-6a.968.968 0 0 1-.713-.288A.967.967 0 0 1 7 14v-1H4a.965.965 0 0 1-.712-.288A.965.965 0 0 1 3 12c0-.283.096-.521.288-.713A.967.967 0 0 1 4 11h3v-1a.97.97 0 0 1 .287-.713A.97.97 0 0 1 8 9a.97.97 0 0 1 .713.287A.97.97 0 0 1 9 10v4a.97.97 0 0 1-.287.712A.968.968 0 0 1 8 15Zm4-2a.965.965 0 0 1-.712-.288A.965.965 0 0 1 11 12c0-.283.096-.521.288-.713A.967.967 0 0 1 12 11h8a.97.97 0 0 1 .712.287c.192.192.288.43.288.713s-.096.52-.288.712A.965.965 0 0 1 20 13h-8Zm4-4a.965.965 0 0 1-.712-.288A.965.965 0 0 1 15 8V4c0-.283.096-.521.288-.713A.967.967 0 0 1 16 3a.97.97 0 0 1 .712.287c.192.192.288.43.288.713v1h3a.97.97 0 0 1 .712.287c.192.192.288.43.288.713a.968.968 0 0 1-.288.713A.967.967 0 0 1 20 7h-3v1c0 .283-.096.52-.288.712A.965.965 0 0 1 16 9Z"
    }, null, 3, null),
    "data-testid": "tune",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "bz_0");
}, "SfIconTune_component_5aRdq0FHns4"));

const SfIconTwitter = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M19.944 8.048c.013.178.013.356.013.533 0 5.419-4.124 11.663-11.663 11.663-2.322 0-4.48-.673-6.294-1.84.33.038.647.05.99.05 1.916 0 3.68-.647 5.089-1.75a4.106 4.106 0 0 1-3.833-2.844c.254.039.508.064.774.064.368 0 .736-.05 1.079-.14a4.1 4.1 0 0 1-3.287-4.023v-.05c.546.304 1.18.495 1.853.52a4.096 4.096 0 0 1-1.827-3.414c0-.761.203-1.46.558-2.068a11.651 11.651 0 0 0 8.452 4.29 4.63 4.63 0 0 1-.102-.94A4.097 4.097 0 0 1 15.846 4a4.09 4.09 0 0 1 2.994 1.294 8.07 8.07 0 0 0 2.602-.99 4.088 4.088 0 0 1-1.802 2.26A8.217 8.217 0 0 0 22 5.928a8.812 8.812 0 0 1-2.056 2.12Z"
    }, null, 3, null),
    "data-testid": "twitter",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "wt_0");
}, "SfIconTwitter_component_asOShUSfxfo"));

const SfIconUnfoldMore = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M8.225 8.325C8.042 8.142 7.95 7.9 7.95 7.6s.092-.542.275-.725L11.3 3.8a.88.88 0 0 1 .325-.213 1.212 1.212 0 0 1 .763 0 .682.682 0 0 1 .312.213l3.1 3.1c.183.183.27.42.262.712-.008.292-.104.53-.287.713-.183.183-.425.275-.725.275s-.542-.092-.725-.275L12 6 9.65 8.35c-.183.183-.42.27-.712.263a1.01 1.01 0 0 1-.713-.288ZM12 20.575a.941.941 0 0 1-.375-.075 1.315 1.315 0 0 1-.325-.2l-3.075-3.075c-.183-.183-.275-.425-.275-.725s.092-.542.275-.725c.183-.183.425-.275.725-.275s.542.092.725.275L12 18.1l2.35-2.35c.183-.183.42-.27.712-.262.292.008.53.104.713.287.183.183.275.425.275.725s-.092.542-.275.725L12.7 20.3a.92.92 0 0 1-.312.2c-.125.05-.255.075-.388.075Z"
    }, null, 3, null),
    "data-testid": "unfold-more",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "TT_0");
}, "SfIconUnfoldMore_component_DK750BmvKaI"));

const SfIconViewList = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M3 17V7c0-.55.196-1.02.587-1.412A1.927 1.927 0 0 1 5 5h14c.55 0 1.021.196 1.413.588.391.391.587.862.587 1.412v10a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 19 19H5a1.93 1.93 0 0 1-1.413-.587A1.928 1.928 0 0 1 3 17Zm2-8h2V7H5v2Zm4 0h10V7H9v2Zm0 4h10v-2H9v2Zm0 4h10v-2H9v2Zm-4 0h2v-2H5v2Zm0-4h2v-2H5v2Z"
    }, null, 3, null),
    "data-testid": "view-list",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "mb_0");
}, "SfIconViewList_component_L5V7djeVWMU"));

const SfIconVisibility = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M12 16c1.25 0 2.313-.437 3.188-1.312S16.5 12.75 16.5 11.5c0-1.25-.437-2.313-1.312-3.188S13.25 7 12 7c-1.25 0-2.313.437-3.188 1.312S7.5 10.25 7.5 11.5c0 1.25.437 2.313 1.312 3.188S10.75 16 12 16Zm0-1.8c-.75 0-1.387-.263-1.912-.788A2.602 2.602 0 0 1 9.3 11.5c0-.75.263-1.388.788-1.913A2.603 2.603 0 0 1 12 8.8c.75 0 1.388.262 1.913.787.525.525.787 1.163.787 1.913s-.262 1.387-.787 1.912A2.605 2.605 0 0 1 12 14.2Zm0 4.8c-2.317 0-4.433-.612-6.35-1.837-1.917-1.225-3.367-2.88-4.35-4.963a.813.813 0 0 1-.1-.313 2.919 2.919 0 0 1 0-.775.811.811 0 0 1 .1-.312c.983-2.083 2.433-3.737 4.35-4.962C7.567 4.613 9.683 4 12 4c2.317 0 4.433.613 6.35 1.838 1.917 1.225 3.367 2.879 4.35 4.962.05.083.083.187.1.312a2.936 2.936 0 0 1 0 .775.813.813 0 0 1-.1.313c-.983 2.083-2.433 3.738-4.35 4.963C16.433 18.388 14.317 19 12 19Z"
    }, null, 3, null),
    "data-testid": "visibility",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "6w_0");
}, "SfIconVisibility_component_6PQ4yOGxG0w"));

const SfIconVisibilityOff = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m19.3 16.5-3.2-3.2c.133-.283.233-.57.3-.862.067-.292.1-.605.1-.938 0-1.25-.437-2.313-1.312-3.188S13.25 7 12 7a4.19 4.19 0 0 0-.938.1 4.246 4.246 0 0 0-.862.3L7.65 4.85a11.106 11.106 0 0 1 2.1-.638A11.607 11.607 0 0 1 12 4c2.383 0 4.525.63 6.425 1.887 1.9 1.259 3.325 2.896 4.275 4.913.05.083.083.187.1.312s.025.255.025.388a1.987 1.987 0 0 1-.125.7c-.383.85-.862 1.642-1.437 2.375A10.48 10.48 0 0 1 19.3 16.5Zm-.2 5.4-3.5-3.45a12.06 12.06 0 0 1-1.762.413c-.592.091-1.205.137-1.838.137-2.383 0-4.525-.629-6.425-1.887-1.9-1.259-3.325-2.896-4.275-4.913a.813.813 0 0 1-.1-.313 2.919 2.919 0 0 1 0-.762.796.796 0 0 1 .1-.3c.35-.75.767-1.442 1.25-2.075A13.291 13.291 0 0 1 4.15 7L2.075 4.9a.933.933 0 0 1-.275-.688c0-.275.1-.512.3-.712a.948.948 0 0 1 .7-.275.95.95 0 0 1 .7.275l17 17c.183.183.28.413.288.688a.931.931 0 0 1-.288.712.948.948 0 0 1-.7.275.949.949 0 0 1-.7-.275ZM12 16c.183 0 .354-.008.512-.025.159-.017.33-.05.513-.1l-5.4-5.4a3.25 3.25 0 0 0-.1.513 4.895 4.895 0 0 0-.025.512c0 1.25.437 2.313 1.312 3.188S10.75 16 12 16Zm2.65-4.15-3-3c.95-.15 1.725.117 2.325.8.6.683.825 1.417.675 2.2Z"
    }, null, 3, null),
    "data-testid": "visibility-off",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "4w_0");
}, "SfIconVisibilityOff_component_tNogimNdosc"));

const SfIconVsfDiamond = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M7.888 2.174c-.761.473-1.508 1.22-3 2.713-1.494 1.493-2.24 2.24-2.714 3a7.788 7.788 0 0 0 0 8.226c.473.76 1.22 1.506 2.712 2.999 1.494 1.494 2.24 2.24 3.002 2.714a7.787 7.787 0 0 0 8.224 0c.761-.474 1.508-1.22 3-2.713 1.494-1.493 2.24-2.24 2.714-3a7.788 7.788 0 0 0 0-8.225c-.474-.761-1.22-1.508-2.713-3-1.493-1.494-2.24-2.24-3-2.714a7.788 7.788 0 0 0-8.225 0Z"
    }, null, 3, null),
    "data-testid": "vsf-diamond",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "5Q_0");
}, "SfIconVsfDiamond_component_EFLuzyl0028"));

const SfIconVuejs = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M18.526 2.3H14.75L12 6.65 9.643 2.3H1l11 18.843L23 2.3h-4.474ZM3.736 3.871h2.641L12 13.604l5.618-9.733h2.642L12 18.024 3.735 3.871Z"
    }, null, 3, null),
    "data-testid": "vuejs",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "bI_0");
}, "SfIconVuejs_component_pvARE0mkd2s"));

const SfIconVuestorefront = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m9.747 2.824.839-.838a2 2 0 0 1 2.828 0l.838.838a2 2 0 0 1 0 2.828l-.838.839a2 2 0 0 1-2.828 0l-.839-.839a2 2 0 0 1 0-2.828Zm3.69 10.978 4.482-4.483a2 2 0 0 1 2.829 0L23 11.571l-11 11-11-11 2.276-2.276a1.999 1.999 0 0 1 2.827 0l4.506 4.507a1.998 1.998 0 0 0 2.828 0Z"
    }, null, 3, null),
    "data-testid": "vuestorefront",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "Eo_0");
}, "SfIconVuestorefront_component_h0w0D0r3yqs"));

const SfIconWarehouse = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "m12 5.15-8 3.2V19h2v-6c0-.55.196-1.02.588-1.413A1.925 1.925 0 0 1 8 11h8c.55 0 1.021.196 1.413.587.391.392.587.863.587 1.413v6h2V8.35l-8-3.2ZM8 21H4c-.55 0-1.02-.195-1.412-.587A1.927 1.927 0 0 1 2 19V8.35A1.963 1.963 0 0 1 3.25 6.5l8-3.2c.233-.1.483-.15.75-.15s.517.05.75.15l8 3.2c.383.15.688.392.913.725.225.333.337.708.337 1.125V19a1.93 1.93 0 0 1-.587 1.413A1.928 1.928 0 0 1 20 21h-4v-8H8v8Zm1 0v-2h2v2H9Zm2-3v-2h2v2h-2Zm2 3v-2h2v2h-2Z"
    }, null, 3, null),
    "data-testid": "warehouse",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "tF_0");
}, "SfIconWarehouse_component_siMLamhYcvU"));

const SfIconWarning = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      clipRule: "evenodd",
      d: "M10.258 4.067c.764-1.363 2.725-1.363 3.49 0l7.818 13.95c.748 1.333-.216 2.978-1.744 2.978H4.183c-1.528 0-2.492-1.645-1.745-2.978l7.82-13.95ZM12 8a1 1 0 0 1 1 1v3.5a1 1 0 1 1-2 0V9a1 1 0 0 1 1-1Zm0 7.25a1.25 1.25 0 1 0 0 2.5 1.25 1.25 0 0 0 0-2.5Z",
      fillRule: "evenodd"
    }, null, 3, null),
    "data-testid": "warning",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "GW_0");
}, "SfIconWarning_component_m0VBNXPB4Lk"));

const SfIconYoutube = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, viewBox = "0 0 24 24", ...attributes }) => {
  return /* @__PURE__ */ _jsxC(SfIconBase, {
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("path", null, {
      d: "M22.54 6.42a2.764 2.764 0 0 0-1.944-1.957C18.88 4 12 4 12 4s-6.88 0-8.596.463A2.764 2.764 0 0 0 1.46 6.42C1 8.147 1 11.75 1 11.75s0 3.603.46 5.33a2.723 2.723 0 0 0 1.945 1.926c1.716.463 8.596.463 8.596.463s6.879 0 8.595-.463a2.723 2.723 0 0 0 1.945-1.926c.46-1.727.46-5.33.46-5.33s0-3.603-.46-5.33ZM9.75 15.021V8.48l5.75 3.271-5.75 3.271Z"
    }, null, 3, null),
    "data-testid": "youtube",
    size,
    viewBox,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "T0_0");
}, "SfIconYoutube_component_EXmoi373PII"));

let SfInputSize;
(function(SfInputSize2) {
  SfInputSize2["sm"] = "sm";
  SfInputSize2["base"] = "base";
  SfInputSize2["lg"] = "lg";
})(SfInputSize || (SfInputSize = {}));

const sizeClasses$7 = {
  [SfInputSize.sm]: "py-1.5 px-4",
  [SfInputSize.base]: "py-2 px-4",
  [SfInputSize.lg]: "py-3 px-4"
};
const SfInput = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ value, onChange$, size = SfInputSize.base, invalid, slotPrefix, slotSuffix, class: _class, wrapperClass, ref, ...attributes }) => {
  _jsxBranch();
  return /* @__PURE__ */ _jsxQ("div", {
    class: [
      "flex items-center bg-white rounded-md ring-inset text-neutral-500 hover:ring-primary-700 focus-within:caret-primary-700 active:caret-primary-700 active:ring-primary-700 active:ring-2 focus-within:ring-primary-700 focus-within:ring-2",
      sizeClasses$7[size],
      invalid ? "ring-2 ring-negative-700" : "ring-1 ring-neutral-200",
      wrapperClass
    ]
  }, {
    "data-testid": "input"
  }, [
    slotPrefix && /* @__PURE__ */ _jsxQ("span", null, {
      class: "pr-2"
    }, /* @__PURE__ */ _jsxC(Slot, {
      name: "prefix",
      [_IMMUTABLE]: {
        name: _IMMUTABLE
      }
    }, 3, "me_0"), 1, "me_1"),
    /* @__PURE__ */ _jsxS("input", {
      class: [
        "min-w-[80px] w-full text-base outline-none appearance-none text-neutral-900 disabled:cursor-not-allowed disabled:bg-transparent read-only:bg-transparent",
        _class
      ],
      value,
      ...ref ? {
        ref
      } : {},
      ...attributes,
      onChange$
    }, {
      "data-testid": "input-field",
      size: 1,
      type: "text"
    }, 0, null),
    slotSuffix && /* @__PURE__ */ _jsxQ("span", null, {
      class: "pl-2"
    }, /* @__PURE__ */ _jsxC(Slot, {
      name: "suffix",
      [_IMMUTABLE]: {
        name: _IMMUTABLE
      }
    }, 3, "me_2"), 1, "me_3")
  ], 1, "me_4");
}, "SfInput_component_jveSRxykyKc"));

let SfLinkVariant;
(function(SfLinkVariant2) {
  SfLinkVariant2["primary"] = "primary";
  SfLinkVariant2["secondary"] = "secondary";
})(SfLinkVariant || (SfLinkVariant = {}));

const defaultLinkTag = "a";
const SfLink = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ as, ref, class: _class, variant = SfLinkVariant.primary, ...attributes }) => {
  const variantClasses = {
    [SfLinkVariant.primary]: "text-primary-700 underline hover:text-primary-800 active:text-primary-900",
    [SfLinkVariant.secondary]: "underline hover:text-primary-800 active:text-primary-900"
  };
  const Tag = as || defaultLinkTag;
  return /* @__PURE__ */ _jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: [
      "focus-visible:outline focus-visible:outline-offset focus-visible:rounded-sm",
      variantClasses[variant],
      _class
    ],
    "data-testid": "link",
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "MI_0"),
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "MI_1");
}, "SfLink_component_0aTmGiTyu7s"));

let SfListItemSize;
(function(SfListItemSize2) {
  SfListItemSize2["sm"] = "sm";
  SfListItemSize2["base"] = "base";
  SfListItemSize2["lg"] = "lg";
})(SfListItemSize || (SfListItemSize = {}));

const sizeClasses$6 = {
  [SfListItemSize.sm]: "text-sm px-4 py-1",
  [SfListItemSize.base]: "px-4 py-2",
  [SfListItemSize.lg]: "p-4"
};
const defaultListItemTag = "li";
const SfListItem = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfListItemSize.base, disabled, selected, class: _class, as, ref, slotPrefix, slotSuffix, ...attributes }) => {
  _jsxBranch();
  const Tag = as || defaultListItemTag;
  return /* @__PURE__ */ _jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: `
          inline-flex items-center gap-2 w-full hover:bg-neutral-100 active:bg-neutral-200 cursor-pointer 
          ${disabled ? "cursor-not-allowed pointer-events-none text-disabled-900" : ""} 
          ${selected ? "font-medium" : ""} 
          ${sizeClasses$6[size]}
          ${_class}
        `,
    "data-testid": "list-item",
    disabled,
    ...attributes,
    children: [
      slotPrefix && /* @__PURE__ */ _jsxQ("span", {
        class: disabled ? "text-disabled-500" : "text-neutral-500"
      }, null, /* @__PURE__ */ _jsxC(Slot, {
        name: "prefix",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "PD_0"), 1, "PD_1"),
      /* @__PURE__ */ _jsxQ("span", null, {
        class: "flex flex-col w-full min-w-0"
      }, /* @__PURE__ */ _jsxC(Slot, null, 3, "PD_2"), 1, null),
      slotSuffix && /* @__PURE__ */ _jsxQ("span", {
        class: disabled ? "text-disabled-500" : "text-neutral-500"
      }, null, /* @__PURE__ */ _jsxC(Slot, {
        name: "suffix",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "PD_3"), 1, "PD_4")
    ],
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "PD_5");
}, "SfListItem_component_4k7yT54W7Mo"));

let SfLoaderSize;
(function(SfLoaderSize2) {
  SfLoaderSize2["xs"] = "xs";
  SfLoaderSize2["sm"] = "sm";
  SfLoaderSize2["base"] = "base";
  SfLoaderSize2["lg"] = "lg";
  SfLoaderSize2["xl"] = "xl";
  SfLoaderSize2["2xl"] = "2xl";
  SfLoaderSize2["3xl"] = "3xl";
  SfLoaderSize2["4xl"] = "4xl";
})(SfLoaderSize || (SfLoaderSize = {}));

const sizeClasses$5 = {
  [SfLoaderSize.xs]: "h-4 w-4 ring-2",
  [SfLoaderSize.sm]: "h-5 w-5 ring-2",
  [SfLoaderSize.base]: "h-6 w-6 ring-2",
  [SfLoaderSize.lg]: "h-8 w-8 ring-2",
  [SfLoaderSize.xl]: "h-10 w-10 ring-2",
  [SfLoaderSize["2xl"]]: "h-14 w-14 ring-[3px]",
  [SfLoaderSize["3xl"]]: "h-24 w-24 ring-4",
  [SfLoaderSize["4xl"]]: "h-48 w-48 ring-8"
};
const strokeSizeClass$1 = {
  [SfLoaderSize.xs]: "stroke-[10px]",
  [SfLoaderSize.sm]: "stroke-[8px]",
  [SfLoaderSize.base]: "stroke-[6px]",
  [SfLoaderSize.lg]: "stroke-[4px]",
  [SfLoaderSize.xl]: "stroke-[3px]",
  [SfLoaderSize["2xl"]]: "stroke-[3px]",
  [SfLoaderSize["3xl"]]: "stroke-2",
  [SfLoaderSize["4xl"]]: "stroke-2"
};
const SfLoaderCircular = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfLoaderSize.base, ariaLabel = "loading", class: _class, ...attributes }) => {
  return /* @__PURE__ */ _jsxS("svg", {
    "aria-label": ariaLabel,
    class: `
          inline-block ring-inset ring-neutral-300 text-primary-700 rounded-full animate-spin-slow 
          ${sizeClasses$5[size]} ${_class}
        `,
    ...attributes,
    children: /* @__PURE__ */ _jsxQ("circle", {
      class: `
            fill-none stroke-2 stroke-current animate-stroke-loader-circular
            ${strokeSizeClass$1[size]}
          `
    }, {
      cx: "50",
      cy: "50",
      r: "24"
    }, null, 3, null)
  }, {
    "aria-live": "polite",
    "data-testid": "loader-circular",
    viewBox: "25 25 50 50"
  }, 0, "90_0");
}, "SfLoaderCircular_component_grLH8S4ufoQ"));

let SfLoaderLinearSize;
(function(SfLoaderLinearSize2) {
  SfLoaderLinearSize2["minimal"] = "minimal";
})(SfLoaderLinearSize || (SfLoaderLinearSize = {}));

const sizeClasses$4 = {
  [SfLoaderLinearSize.minimal]: "h-1",
  [SfLoaderSize.xs]: "h-4",
  [SfLoaderSize.sm]: "h-5",
  [SfLoaderSize.base]: "h-6",
  [SfLoaderSize.lg]: "h-7",
  [SfLoaderSize.xl]: "h-10",
  [SfLoaderSize["2xl"]]: "h-14",
  [SfLoaderSize["3xl"]]: "h-24",
  [SfLoaderSize["4xl"]]: "h-48"
};
const SfLoaderLinear = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfLoaderSize.base, ariaLabel = "loading", class: _class, ...attributes }) => {
  return /* @__PURE__ */ _jsxS("span", {
    "aria-label": ariaLabel,
    class: `
          relative inline-block overflow-hidden bg-neutral-300 text-primary-700 after:absolute after:w-2.5 after:h-full after:animate-line after:bg-current after:block
          ${sizeClasses$4[size]}
          ${_class}
        `,
    ...attributes
  }, {
    "aria-live": "polite",
    "data-testid": "loader-linear"
  }, 0, "36_0");
}, "SfLoaderLinear_component_8cEabJieAn4"));

const defaultModalTag = "div";
const SfModal = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  _jsxBranch();
  const attributes = _restProps(props, [
    "as",
    "ref",
    "open",
    "disableClickAway",
    "disableEsc",
    "onClose",
    "class"
  ]);
  const Tag = props.as || defaultModalTag;
  const onKeyDown = (event) => {
    if (!props.disableEsc && event.key === "Escape")
      props.onClose?.();
    if ("onKeyDown" in attributes && typeof attributes.onKeyDown === "function")
      return attributes.onKeyDown?.(event);
  };
  return props.open ? /* @__PURE__ */ _jsxC(Tag, {
    ...props.ref ? {
      ref: props.ref
    } : {},
    get class() {
      return `fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none 
          ${props.class}`;
    },
    "aria-modal": "true",
    "data-testid": "modal",
    tabIndex: "-1",
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "Cd_0"),
    onKeyDown,
    [_IMMUTABLE]: {
      "aria-modal": _IMMUTABLE,
      class: _fnSignal((p0) => `fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none 
          ${p0.class}`, [
        props
      ], "`fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none \n          ${p0.class}`"),
      "data-testid": _IMMUTABLE,
      tabIndex: _IMMUTABLE
    }
  }, 0, "Cd_1") : null;
}, "SfModal_component_DqBM05Y3L5U"));

let SfProgressSize;
(function(SfProgressSize2) {
  SfProgressSize2["xs"] = "xs";
  SfProgressSize2["sm"] = "sm";
  SfProgressSize2["base"] = "base";
  SfProgressSize2["lg"] = "lg";
  SfProgressSize2["xl"] = "xl";
  SfProgressSize2["2xl"] = "2xl";
  SfProgressSize2["3xl"] = "3xl";
  SfProgressSize2["4xl"] = "4xl";
})(SfProgressSize || (SfProgressSize = {}));

const sizeClasses$3 = {
  [SfProgressSize.xs]: "h-4 w-4 ring-2",
  [SfProgressSize.sm]: "h-5 w-5 ring-2",
  [SfProgressSize.base]: "h-6 w-6 ring-2",
  [SfProgressSize.lg]: "h-8 w-8 ring-2",
  [SfProgressSize.xl]: "h-10 w-10 ring-2",
  [SfProgressSize["2xl"]]: "h-14 w-14 ring-[3px]",
  [SfProgressSize["3xl"]]: "h-24 w-24 ring-4",
  [SfProgressSize["4xl"]]: "h-48 w-48 ring-8"
};
const strokeSizeClass = {
  [SfProgressSize.xs]: "stroke-[10px]",
  [SfProgressSize.sm]: "stroke-[8px]",
  [SfProgressSize.base]: "stroke-[6px]",
  [SfProgressSize.lg]: "stroke-[4px]",
  [SfProgressSize.xl]: "stroke-[3px]",
  [SfProgressSize["2xl"]]: "stroke-[3px]",
  [SfProgressSize["3xl"]]: "stroke-2",
  [SfProgressSize["4xl"]]: "stroke-2"
};
const SfProgressCircular = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ value = 0, size = SfProgressSize.base, ariaLabel = "Progress element", class: _class, ...attributes }) => {
  const strokeDasharray = `${value / 100 * 151}, 150`;
  return /* @__PURE__ */ _jsxS("svg", {
    "aria-label": ariaLabel,
    "aria-valuenow": value,
    class: `inline-block ring-inset ring-neutral-300 text-primary-700 rounded-full transition-[stroke-dasharray] ease-in-out duration-500 text-sm 
          ${sizeClasses$3[size]} 
          ${_class}`,
    strokeDasharray,
    ...attributes,
    children: [
      /* @__PURE__ */ _jsxQ("circle", {
        class: `origin-bottom-right -rotate-90 stroke-current fill-none ${strokeSizeClass[size]}`
      }, {
        cx: "50",
        cy: "50",
        r: "24"
      }, null, 3, null),
      /* @__PURE__ */ _jsxC(Slot, null, 3, "9g_0")
    ]
  }, {
    "aria-valuemax": 100,
    "aria-valuemin": 0,
    "data-testid": "progress",
    role: "progressbar",
    viewBox: "25 25 50 50"
  }, 0, "9g_1");
}, "SfProgressCircular_component_n11VdTMU0TM"));

let SfProgressLinearSize;
(function(SfProgressLinearSize2) {
  SfProgressLinearSize2["minimal"] = "minimal";
})(SfProgressLinearSize || (SfProgressLinearSize = {}));

const sizeClasses$2 = {
  [SfProgressLinearSize.minimal]: "h-1",
  [SfProgressSize.xs]: "h-4",
  [SfProgressSize.sm]: "h-5",
  [SfProgressSize.base]: "h-6",
  [SfProgressSize.lg]: "h-7",
  [SfProgressSize.xl]: "h-10",
  [SfProgressSize["2xl"]]: "h-14",
  [SfProgressSize["3xl"]]: "h-24",
  [SfProgressSize["4xl"]]: "h-48"
};
const SfProgressLinear = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ value = 0, size = SfProgressSize.base, ariaLabel = "Progress element", class: _class, ...attributes }) => {
  return /* @__PURE__ */ _jsxS("progress", {
    "aria-label": ariaLabel,
    class: `bg-neutral-300 text-primary-700 [&::-webkit-progress-bar]:bg-inherit [&::-webkit-progress-value]:bg-current [&::-webkit-progress-value]:transition-[width] [&::-webkit-progress-value]:ease-in-out [&::-webkit-progress-value]:duration-200 [&::-moz-progress-bar]:bg-current
          ${sizeClasses$2[size]}
          ${_class}`,
    value,
    ...attributes
  }, {
    "data-testid": "progress-linear",
    max: "100"
  }, 0, "0y_0");
}, "SfProgressLinear_component_AD0D0gaYpJQ"));

const SfRadio = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = _restProps(props, [
    "invalid",
    "ref",
    "class",
    "disabled",
    "onChange$"
  ]);
  return /* @__PURE__ */ _jsxS("input", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    class: `
        h-5 w-5 border-2 p-[3px] bg-clip-content rounded-full appearance-none cursor-pointer focus-visible:outline focus-visible:outline-offset disabled:border-disabled-500 disabled:cursor-not-allowed disabled:checked:bg-disabled-500 disabled:checked:border-disabled-500
        ${props.invalid && !props.disabled ? "border-negative-700 checked:bg-negative-700 hover:border-negative-800 hover:checked:bg-negative-800 active:border-negative-900 active:checked:bg-negative-900" : "border-neutral-500 active:border-primary-900 hover:border-primary-700 checked:bg-primary-700 checked:border-primary-700 hover:checked:bg-primary-800 hover:checked:border-primary-800 active:checked:bg-primary-900 active:checked:border-primary-900"}
        ${props.class}
      `,
    ...attributes,
    onChange$: props.onChange$
  }, {
    disabled: _fnSignal((p0) => p0.disabled, [
      props
    ], "p0.disabled"),
    type: "radio"
  }, 0, "tz_0");
}, "SfRadio_component_ovCWOZP6shk"));

let SfRatingSize;
(function(SfRatingSize2) {
  SfRatingSize2["xs"] = "xs";
  SfRatingSize2["sm"] = "sm";
  SfRatingSize2["base"] = "base";
  SfRatingSize2["lg"] = "lg";
  SfRatingSize2["xl"] = "xl";
})(SfRatingSize || (SfRatingSize = {}));

const sizeClasses$1 = {
  [SfRatingSize.xs]: "text-xs",
  [SfRatingSize.sm]: "text-sm",
  [SfRatingSize.base]: "text-base",
  [SfRatingSize.lg]: "text-lg",
  [SfRatingSize.xl]: "text-xl"
};
const SfRating = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfRatingSize.base, max = 5, value = 0, halfIncrement, ariaLabel, class: _class, ...attributes }) => {
  _jsxBranch();
  const uniqueId = useId();
  const clamp = (value2, min, max2) => {
    return Math.min(Math.max(value2, min), max2);
  };
  const roundToNearest = (value2, step) => {
    return Math.round(value2 / step) * step;
  };
  const precision = halfIncrement ? 0.5 : 1;
  const ratingValue = clamp(roundToNearest(value, precision), 0, max);
  const partiallyFilled = Number(!Number.isInteger(ratingValue));
  const filled = Math.ceil(ratingValue - partiallyFilled);
  const empty = max - filled - partiallyFilled;
  const label = ariaLabel ?? `${value} out of ${max}`;
  return /* @__PURE__ */ _jsxS("div", {
    "aria-label": label,
    class: `inline-flex items-center text-warning-500 ${sizeClasses$1[size]} ${_class}`,
    title: label,
    ...attributes,
    children: [
      [
        ...Array(filled).keys()
      ].map((_, i) => /* @__PURE__ */ _jsxC(SfIconStarFilled, {
        "aria-hidden": "true",
        class: "w-[1.5em] h-[1.5em]",
        [_IMMUTABLE]: {
          "aria-hidden": _IMMUTABLE,
          class: _IMMUTABLE
        }
      }, 3, `${uniqueId}-filled-${i}`)),
      Boolean(partiallyFilled) && /* @__PURE__ */ _jsxC(SfIconStarHalf, {
        "aria-hidden": "true",
        class: "w-[1.5em] h-[1.5em]",
        [_IMMUTABLE]: {
          "aria-hidden": _IMMUTABLE,
          class: _IMMUTABLE
        }
      }, 3, "oO_0"),
      [
        ...Array(empty).keys()
      ].map((_, i) => /* @__PURE__ */ _jsxC(SfIconStar, {
        "aria-hidden": "true",
        class: "text-disabled-500 w-[1.5em] h-[1.5em]",
        [_IMMUTABLE]: {
          "aria-hidden": _IMMUTABLE,
          class: _IMMUTABLE
        }
      }, 3, `${uniqueId}-${i}`))
    ]
  }, {
    "data-testid": "rating",
    role: "img"
  }, 0, "oO_1");
}, "SfRating_component_SEin7XEUNK8"));

let SfSelectSize;
(function(SfSelectSize2) {
  SfSelectSize2["sm"] = "sm";
  SfSelectSize2["base"] = "base";
  SfSelectSize2["lg"] = "lg";
})(SfSelectSize || (SfSelectSize = {}));

const SfSelect = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({
  size = SfSelectSize.base,
  invalid,
  wrapperClass,
  slotChevron,
  required,
  disabled,
  class: _class,
  placeholder,
  // onBlur,
  onChange$,
  // onClick,
  // onKeyDown,
  ...attributes
}) => {
  _jsxBranch();
  const chevronRotatedSignal = useSignal(false);
  return /* @__PURE__ */ _jsxQ("div", {
    class: `relative flex flex-col rounded-md ${""} ${wrapperClass}`
  }, {
    "data-testid": "select"
  }, [
    /* @__PURE__ */ _jsxS("select", {
      class: `
          appearance-none disabled:cursor-not-allowed cursor-pointer pl-4 pr-3.5 text-neutral-900 focus:ring-primary-700 focus:ring-2 outline-none bg-transparent rounded-md ring-1 ring-inset ring-neutral-300 hover:ring-primary-700 active:ring-2 active:ring-primary-700 disabled:bg-disabled-100 disabled:text-disabled-900 disabled:ring-disabled-200
          ${size === SfSelectSize.sm ? "py-1.5" : ""}
          ${size === SfSelectSize.base ? "py-2" : ""}
          ${size === SfSelectSize.lg ? "py-3 text-base" : ""}
          ${invalid && !disabled ? "!ring-negative-600 ring-2" : ""}
          ${_class}`,
      disabled,
      required,
      ...attributes,
      children: [
        placeholder && /* @__PURE__ */ _jsxQ("option", {
          class: `bg-neutral-300 text-sm ${size === SfSelectSize.lg ? "text-base" : ""}`
        }, {
          "data-testid": "select-placeholder",
          value: ""
        }, placeholder, 1, "hf_0"),
        /* @__PURE__ */ _jsxC(Slot, null, 3, "hf_1")
      ],
      onChange$
    }, null, 0, null),
    slotChevron ? /* @__PURE__ */ _jsxC(Slot, {
      name: "chevron",
      [_IMMUTABLE]: {
        name: _IMMUTABLE
      }
    }, 3, "hf_2") : /* @__PURE__ */ _jsxC(SfIconExpandMore, {
      class: `
            box-border absolute -translate-y-1 pointer-events-none top-1/3 right-4 transition easy-in-out duration-0.5 
            ${disabled ? "text-disabled-500" : "text-neutral-500"}
            ${chevronRotatedSignal.value ? "rotate-180" : ""}`
    }, 3, "hf_3")
  ], 1, "hf_4");
}, "SfSelect_component_hk2FZK0F0yk"));

const SfSwitch = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = _restProps(props, [
    "ref",
    "invalid",
    "class"
  ]);
  return /* @__PURE__ */ _jsxS("input", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    class: `appearance-none h-5 min-w-[36px] bg-transparent border-2 border-gray-500 rounded-full relative ease-in-out duration-300 
          hover:border-primary-800 hover:before:checked:bg-white checked:before:left-1/2 checked:before:ml-0 checked:before:mr-0.5 disabled:before:bg-gray-500/50 
          hover:before:bg-primary-800 active:border-primary-800 active:before:bg-primary-800 checked:bg-none checked:bg-primary-700 checked:border-primary-700 
          checked:before:bg-white hover:checked:bg-primary-800 hover:checked:border-primary-800 disabled:border-gray-500/50 checked:disabled:before:bg-white 
          checked:disabled:bg-gray-500/50 checked:disabled:border-0 before:transition-all  before:w-3.5 before:h-3.5 before:bg-gray-500 before:absolute before:top-0 
          before:bottom-0 before:my-auto before:rounded-full before:left-0 before:ml-0.5 before:ease-in-out before:duration-300 cursor-pointer disabled:cursor-not-allowed 
          focus-visible:outline focus-visible:outline-offset 
            ${props.invalid ? "border-negative-700 hover:border-negative-800 active:border-negative-900 before:bg-negative-900" : ""}
            ${props.class}`,
    ...attributes
  }, {
    "data-testid": "switch",
    role: "switch",
    type: "checkbox"
  }, 0, "cS_0");
}, "SfSwitch_component_cRQWNshc0js"));

let SfThumbnailSize;
(function(SfThumbnailSize2) {
  SfThumbnailSize2["sm"] = "sm";
  SfThumbnailSize2["base"] = "base";
  SfThumbnailSize2["lg"] = "lg";
  SfThumbnailSize2["xl"] = "xl";
})(SfThumbnailSize || (SfThumbnailSize = {}));

const sizeClasses = {
  [SfThumbnailSize.sm]: "w-5 h-5",
  [SfThumbnailSize.base]: "w-6 h-6",
  [SfThumbnailSize.lg]: "w-10 h-10",
  [SfThumbnailSize.xl]: "w-14 h-14"
};
const SfThumbnail = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfThumbnailSize.base, class: _class, ...attributes }) => {
  return /* @__PURE__ */ _jsxS("div", {
    class: [
      "rounded-full overflow-hidden bg-clip-content p-0.5",
      sizeClasses[size],
      _class
    ],
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "az_0")
  }, {
    "data-testid": "thumbnail"
  }, 0, "az_1");
}, "SfThumbnail_component_HCvVNdhMjzE"));

const SfTooltip = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  _restProps(props, [
    "children",
    "label",
    "class",
    "style",
    "showArrow"
  ]);
  const isOpen = useSignal(false);
  return /* @__PURE__ */ _jsxQ("span", null, {
    /*{...getTriggerProps({ _class, style })}*/
    "data-testid": "tooltip"
  }, [
    /* @__PURE__ */ _jsxC(Slot, null, 3, "vL_0"),
    props.label && isOpen && /* @__PURE__ */ _jsxQ("div", null, {
      class: "bg-black px-2 py-1.5 rounded-md text-white text-xs w-max max-w-[360px] drop-shadow",
      // {...getTooltipProps({
      role: "tooltip"
    }, [
      _fnSignal((p0) => p0.label, [
        props
      ], "p0.label"),
      props.showArrow && /* @__PURE__ */ _jsxQ("span", null, {
        class: "bg-black rotate-45"
        /*{...getArrowProps({ class: 'bg-black rotate-45' })}*/
      }, null, 3, "vL_1")
    ], 1, "vL_2")
  ], 1, "vL_3");
}, "SfTooltip_component_XZCZ8aOoh0U"));

let SfPopoverPlacement;
(function(SfPopoverPlacement2) {
  SfPopoverPlacement2["top-start"] = "top-start";
  SfPopoverPlacement2["top"] = "top";
  SfPopoverPlacement2["top-end"] = "top-end";
  SfPopoverPlacement2["bottom-start"] = "bottom-start";
  SfPopoverPlacement2["bottom"] = "bottom";
  SfPopoverPlacement2["bottom-end"] = "bottom-end";
  SfPopoverPlacement2["left-start"] = "left-start";
  SfPopoverPlacement2["left"] = "left";
  SfPopoverPlacement2["left-end"] = "left-end";
  SfPopoverPlacement2["right-start"] = "right-start";
  SfPopoverPlacement2["right"] = "right";
  SfPopoverPlacement2["right-end"] = "right-end";
})(SfPopoverPlacement || (SfPopoverPlacement = {}));
let SfPopoverStrategy;
(function(SfPopoverStrategy2) {
  SfPopoverStrategy2["fixed"] = "fixed";
  SfPopoverStrategy2["absolute"] = "absolute";
})(SfPopoverStrategy || (SfPopoverStrategy = {}));

export { SfAccordionItem, SfBadge, SfBadgePlacement, SfBadgeVariant, SfButton, SfButtonSize, SfButtonVariant, SfCheckbox, SfChip, SfChipSize, SfCounter, SfCounterSize, SfDrawer, SfDrawerPlacement, SfDropdown, SfIconAdd, SfIconAddShoppingCart, SfIconArrowBack, SfIconArrowDownward, SfIconArrowForward, SfIconArrowUpward, SfIconBase, SfIconBlock, SfIconCalendarToday, SfIconCall, SfIconCancel, SfIconCheck, SfIconCheckBox, SfIconCheckBoxOutlineBlank, SfIconCheckCircle, SfIconChevronLeft, SfIconChevronRight, SfIconCircle, SfIconClose, SfIconCloseSm, SfIconCompareArrows, SfIconContactSupport, SfIconCreditCard, SfIconDelete, SfIconError, SfIconExpandLess, SfIconExpandMore, SfIconFacebook, SfIconFavorite, SfIconFavoriteFilled, SfIconGridView, SfIconHelp, SfIconHome, SfIconIndeterminateCheckBox, SfIconInfo, SfIconInstagram, SfIconLanguage, SfIconLocalShipping, SfIconLocationOn, SfIconLocationOnFilled, SfIconLock, SfIconLockOpen, SfIconLogin, SfIconLogout, SfIconMenu, SfIconMoreHoriz, SfIconMoreVert, SfIconOpenInNew, SfIconOpenSource, SfIconPackage, SfIconPercent, SfIconPerson, SfIconPinterest, SfIconPublishedWithChanges, SfIconQwik, SfIconRadioButtonChecked, SfIconRadioButtonUnchecked, SfIconRemove, SfIconRemoveShoppingCart, SfIconSafetyCheck, SfIconSchedule, SfIconSearch, SfIconSell, SfIconShoppingCart, SfIconShoppingCartCheckout, SfIconSize, SfIconSort, SfIconStar, SfIconStarFilled, SfIconStarHalf, SfIconThumbDown, SfIconThumbUp, SfIconTune, SfIconTwitter, SfIconUnfoldMore, SfIconViewList, SfIconVisibility, SfIconVisibilityOff, SfIconVsfDiamond, SfIconVuejs, SfIconVuestorefront, SfIconWarehouse, SfIconWarning, SfIconYoutube, SfInput, SfInputSize, SfLink, SfLinkVariant, SfListItem, SfListItemSize, SfLoaderCircular, SfLoaderLinear, SfLoaderLinearSize, SfLoaderSize, SfModal, SfPopoverPlacement, SfPopoverStrategy, SfProgressCircular, SfProgressLinear, SfProgressLinearSize, SfProgressSize, SfRadio, SfRating, SfRatingSize, SfSelect, SfSelectSize, SfSwitch, SfThumbnail, SfThumbnailSize, SfTooltip };
